<?xml version='1.0' encoding='iso-8859-1'?>

<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform' xmlns:fo='http://www.w3.org/1999/XSL/Format'>
	<xsl:template match='/'>
		<!-- Encabezado -->
		<fo:root xmlns:fo='http://www.w3.org/1999/XSL/Format'>
			<fo:layout-master-set>
				<fo:simple-page-master master-name='first' page-height='29.7cm' page-width='21cm' margin-top='1cm' margin-bottom='0.3cm' margin-left='0.2cm' margin-right='1.5cm'>
					<fo:region-body margin-left='1.5cm' margin-bottom='1cm' background-image='url(./images/logomarcadeagua.jpg)' background-repeat='no-repeat' background-position-vertical='center' background-position-horizontal='center'/>
					<fo:region-before extent='25.7cm'/>
					<fo:region-after extent='0.5cm'/>
				</fo:simple-page-master>
			</fo:layout-master-set>

			<fo:page-sequence master-reference='first'>
				<fo:static-content flow-name='xsl-region-before'>
					<fo:block-container inline-progression-dimension='600pt' left='0.2cm' reference-orientation='90'>
						<fo:block font-size='8pt'>
							Inscrita en el registro Mercantil , Tomo 22203 Libro 0 Folio 60 Seccin 8 Hoja M-396275 Inscripcin 1   C.I.F.: A-84566942
						</fo:block>
					</fo:block-container>
				</fo:static-content>

				<fo:static-content flow-name='xsl-region-after'>
					<fo:block text-align='center' font-size='8pt' vertical-align='bottom'>
						ANF AC - Calle Orense, 85 28020 - Madrid - telf. (+34) 902 902 172"
					</fo:block>
				</fo:static-content>

				<fo:flow flow-name='xsl-region-body'>

					<!-- Logo de Inicio -->
					<fo:table width='17.5cm' table-layout='fixed' border='1' border-style='solid'>
						<fo:table-column column-number='1' column-width='9.5cm'/>
						<fo:table-column column-number='2' column-width='8cm'/>

						<fo:table-body>
							<fo:table-row display-align='center'>
								<fo:table-cell>
									<fo:block font-size='20pt' text-align='center' color='#333399'>Informe interpretable de <fo:wrapper font-weight='bold'>Firma Electrnica</fo:wrapper>
									</fo:block>
								</fo:table-cell>

								<fo:table-cell display-align='center'>
									<fo:block>
										<fo:external-graphic src='./images/logo.jpg' height='72px' width='221px'/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>

					</fo:table>
					<!-- Fin Logo de Inicio -->

					<!-- Adicionar Espacio -->
					<xsl:call-template name='SPACE'>
						<xsl:with-param name='height' select='15' />
					</xsl:call-template>

					<!-- Seccin "Resumen de Firma" -->
					<xsl:call-template name='SECTION_HEADER'>
						<xsl:with-param name='title' select='"Resumen de Firma"' />
						<xsl:with-param name='mainPage' select='true()' />
					</xsl:call-template>

					<!-- Adicionar Espacio -->
					<xsl:call-template name='SPACE'>
						<xsl:with-param name='height' select='10' />
					</xsl:call-template>

					<!-- Resumen de Firma -->
					<xsl:call-template name='SIGNATURE_SUMMARY'/>

					<!-- Salto de Pgina -->
<!--					<xsl:call-template name='PAGE_BREAK'/>-->

					<!-- Adicionar Espacio -->
					<xsl:call-template name='SPACE'>
						<xsl:with-param name='height' select='30' />
					</xsl:call-template>

					<fo:block font-weight='bold' color='#000000' font-size='10pt' text-align='left' padding-top='2'>
						IMPORTANTE
					</fo:block>

					<fo:block color='#000000' font-size='9pt' text-align='justify' padding-top='2'>
						Esta visualizacin es una representacin grfica interpretable de la Firma Electrnica integrada en este documento. Para confiar en los datos mostrados, es imprescindible obtenerlos desde el documento de firma adjunto a este documento PDF, nico documento que garantiza la seguridad y validez jurdica de la firma. Para realizar estas acciones puede descargar el dispositivo de verificacin homologado por ANF AC en
					</fo:block>

					<!-- Adicionar Espacio -->
					<xsl:call-template name='SPACE'>
						<xsl:with-param name='height' select='10' />
					</xsl:call-template>

					<fo:block color='blue' font-size='9pt' text-align='center' padding-top='2' text-decoration='underline'>
						https://www.anf.es/exe/eSLCViewer.exe
					</fo:block>

					<!-- Adicionar Espacio -->
					<xsl:call-template name='SPACE'>
						<xsl:with-param name='height' select='10' />
					</xsl:call-template>

					<fo:block color='#000000' font-size='9pt' text-align='justify' padding-top='2'>
						Esta firma electrnica cumple los requerimientos establecidos por la Ley de Firma Electrnica 59/2003 en el art. 24.3 en materia de firma electrnica reconocida.
					</fo:block>

					<!-- Adicionar Espacio -->
					<xsl:call-template name='SPACE'>
						<xsl:with-param name='height' select='15' />
					</xsl:call-template>

					<fo:block font-size='7pt' color='black'>
						<!-- <fo:inline vertical-align="super">1</fo:inline>UTC (Tiempo Universal Coordinado, no se aplica desplazamiento horario verano-invierno) -->
						&#xB9; UTC (Tiempo Universal Coordinado, no se aplica desplazamiento horario verano-invierno)
					</fo:block>

					<!-- Logo Azul -->
					<xsl:call-template name='BLUE_LOGO'/>

					<!-- Resumen de Pginas -->
					<fo:block-container padding='0mm' top='24.5cm' left='11.3cm' position='absolute'>
						<fo:block font-size='9pt' padding='2'>
							Pginas documento: 1 a <xsl:value-of select='PDF_DOCUMENT/@NUM_PAGES' />
						</fo:block>
						<fo:block font-size='9pt' padding='2'>
							Pginas seccin firma: <fo:page-number/>
						</fo:block>
					</fo:block-container>
					<!-- Fin Resumen de Pginas -->

				<!-- Final del PDF -->
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>


	<!-- PLANTILLAS -->

	<!-- ***** Resumen de Firma ***** -->
	<xsl:template name='SIGNATURE_SUMMARY'>
		<fo:table border-style='solid' border='1' table-layout='fixed' width='17.5cm'>
			<fo:table-column column-width='0.5cm' column-number='1'/>
			<fo:table-column column-width='3.5cm' column-number='2'/>
			<fo:table-column column-width='13.5cm' column-number='3'/>

			<fo:table-body>
				<xsl:for-each select='PDF_DOCUMENT/PDF_FRAGMENT'>
					<xsl:variable name='count' select='position()' />
					<fo:table-row>
						<fo:table-cell number-columns-spanned='3' padding-left='5' padding-top='5'>
							<fo:block font-weight='bold' color='#333399' font-size='9pt' text-align='left'>
								Firma <xsl:value-of select='$count'/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>

					<fo:table-row>
						<fo:table-cell number-columns-spanned='3' padding-left='5'>
							<fo:block font-weight='normal' font-size='1pt' vertical-align='middle' color='#000000' text-align='left' margin-bottom='5'>
								<fo:leader leader-pattern='rule' leader-length='15cm' rule-thickness='0.5'/>
							</fo:block>
						</fo:table-cell>
					</fo:table-row>

					<xsl:call-template name='TABLE_ROW'>
						<xsl:with-param name='name' select='"Pginas firmadas:"' />
						<xsl:with-param name='value'>
							De la <xsl:value-of select='@PAGE_START' /> a la <xsl:value-of select='@PAGE_END' />
						</xsl:with-param>
					</xsl:call-template>

					<fo:table-row>
						<fo:table-cell height='15'>
							<fo:block />
						</fo:table-cell>

						<fo:table-cell number-columns-spanned='2' height='15'>
							<fo:block font-weight='bold' color='#000000' font-size='9pt' text-align='left' padding-top='2'>
								Firmante(s):
							</fo:block>
						</fo:table-cell>
					</fo:table-row>

                    <xsl:variable name='height' select='30 * count(CMS_SIGNATURE/SIGNERS/SIGNER)' />

					<fo:table-row>
						<fo:table-cell height='{$height}'>
							<fo:block />
						</fo:table-cell>

						<fo:table-cell number-columns-spanned='2'>
							<fo:table border-style='none' table-layout='fixed' width='16.5cm' border-before-precedence='5'>
								<fo:table-column column-width='1cm' column-number='1'/>
								<fo:table-column column-width='2.5cm' column-number='2'/>
								<fo:table-column column-width='13cm' column-number='3'/>

								<fo:table-body>
									<xsl:for-each select='CMS_SIGNATURE/SIGNERS/SIGNER'>
										<xsl:call-template name='TABLE_ROW'>
											<xsl:with-param name='name' select='"Nombre:"' />
											<xsl:with-param name='value'>
												<xsl:value-of select='X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID="2.5.4.3"]' />
											</xsl:with-param>
										</xsl:call-template>
										<xsl:call-template name='TABLE_ROW'>
											<xsl:with-param name='name' select='"Id. firma:"' />
											<xsl:with-param name='value'>
												<xsl:value-of select='SIGNATURE/DIGEST/BINARY_ROW' />
                                                                                                <xsl:if test="count(SIGNATURE/DIGEST/BINARY_ROW)&gt;1">...</xsl:if>
											</xsl:with-param>
										</xsl:call-template>


										<fo:table-row>
											<fo:table-cell height='10'>
												<fo:block/>
											</fo:table-cell>

											<fo:table-cell height='14'>
												<fo:block font-weight='bold' font-style='italic' color='#000000' font-size='9pt' text-align='left' padding-top='2'>
													Fecha:<fo:wrapper font-weight='normal'>&#xB9;</fo:wrapper>
												</fo:block>
											</fo:table-cell>

											<fo:table-cell height='14'>
												<fo:block font-weight='normal' color='#000000' font-size='9pt' text-align='left' padding-top='2'>
													<xsl:value-of select='TIMESTAMPS/TIMESTAMP/TIME_UTC'/>
												</fo:block>
											</fo:table-cell>
										</fo:table-row>
									</xsl:for-each>
								</fo:table-body>

							</fo:table>
						</fo:table-cell>
					</fo:table-row>

					<fo:table-row>
						<fo:table-cell height='35' number-columns-spanned='3'>
							<fo:table border-style='none' table-layout='fixed' width='17.5cm' border-before-precedence='5'>
								<fo:table-column column-width='0.5cm' column-number='1'/>
								<fo:table-column column-width='5cm' column-number='2'/>
								<fo:table-column column-width='12cm' column-number='3'/>

								<fo:table-body>
									<xsl:call-template name='TABLE_ROW'>
										<xsl:with-param name='name' select='"Documento jurdico adjunto:"' />
										<xsl:with-param name='value' select='ATTACHED_FILENAME' />
									</xsl:call-template>

									<xsl:call-template name='TABLE_ROW'>
										<xsl:with-param name='name' select='"Documento(s) original(es):"'/>
                                                                                <xsl:with-param name='value'></xsl:with-param>
									</xsl:call-template>
                                                                        <xsl:for-each select="CMS_SIGNATURE/SIGNED_CONTENT/CONTENT/DATA_NAME">
									<xsl:call-template name='TABLE_ROW'>
										<xsl:with-param name='name'/>
										<xsl:with-param name='value' select='.'/>
									</xsl:call-template>
                                                                        </xsl:for-each >

								</fo:table-body>

							</fo:table>
						</fo:table-cell>
					</fo:table-row>

				</xsl:for-each>
			</fo:table-body>

		</fo:table>
	</xsl:template>


	<!-- ***** Espacio en Blanco ***** -->
	<xsl:template name='SPACE'>
		<xsl:param name='height'>1*</xsl:param>
		<fo:block color='white' font-size='{$height}' vertical-align='middle'>
			<fo:leader leader-length='{$height}'/>
		</fo:block>
	</xsl:template>
	<!-- ***** FIN ***** -->


	<!-- ***** Encabezado de Seccin ***** -->
	<xsl:template name='SECTION_HEADER'>
		<xsl:param name='title'>1*</xsl:param>
		<xsl:param name='mainPage'>1*</xsl:param>
		<xsl:choose>
			<xsl:when test='$mainPage="true"'>
				<fo:block color='#333399' font-weight='bold' font-size='15pt' vertical-align='middle'>
					<xsl:value-of select='$title' />
				</fo:block>
			</xsl:when>
			<xsl:otherwise>
				<fo:block color='#333399' font-weight='bold' font-size='10pt' vertical-align='middle'>
					<xsl:value-of select='$title' /> (cont.)
				</fo:block>
			</xsl:otherwise>
		</xsl:choose>

		<fo:block color='black' font-size='1pt' vertical-align='middle' text-align='left'>
			<fo:leader leader-pattern='rule' leader-length='17.5cm' rule-thickness='0.5'/>
		</fo:block>
	</xsl:template>
	<!-- ***** FIN ***** -->


	<!-- ***** Subttulo de Tabla ***** -->
	<xsl:template name='TABLE_SUBTITLE'>
		<xsl:param name='subTitle'>1*</xsl:param>
		<fo:table-row>
			<fo:table-cell number-columns-spanned='3' padding-left='5' padding-top='5'>
				<fo:block font-weight='bold' color='#000000' font-size='10pt' text-align='left'>
					<xsl:value-of select='$subTitle' />
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
	<!-- ***** FIN ***** -->


	<!-- ***** Fila de Tabla ***** -->
	<xsl:template name='TABLE_ROW'>
		<xsl:param name='name'>1*</xsl:param>
		<xsl:param name='value'>1*</xsl:param>
		<fo:table-row>
			<fo:table-cell height='14'>
				<fo:block/>
			</fo:table-cell>

			<fo:table-cell height='14'>
				<fo:block font-weight='bold' font-style='italic' color='#000000' font-size='9pt' text-align='left' padding-top='2'>
					<xsl:value-of select='$name' />
				</fo:block>
			</fo:table-cell>

			<fo:table-cell height='14'>
				<fo:block font-weight='normal' color='#000000' font-size='9pt' text-align='left' padding-top='2'>
					<xsl:value-of select='$value' />
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
	<!-- ***** FIN ***** -->


	<!-- ***** Fila Vaca ***** -->
	<xsl:template name='EMPTY_ROW'>
		<xsl:param name='colSpan'>1*</xsl:param>
		<fo:table-row>
			<fo:table-cell number-columns-spanned='{$colSpan}' height='5'>
				<fo:block font-weight='bold' font-size='2pt'/>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>
	<!-- ***** FIN ***** -->


	<!-- ***** Salto de Pgina ***** -->
	<xsl:template name='PAGE_BREAK'>
		<fo:block break-after='page'/>
	</xsl:template>
	<!-- ***** FIN ***** -->


	<!-- ***** Logo Azul ***** -->
	<xsl:template name='BLUE_LOGO'>
		<fo:block-container padding='0mm' top='23cm' left='7cm' position='absolute'>
			<fo:block>
				<fo:external-graphic src='./images/sello96.jpg' text-align='center'/>
			</fo:block>
		</fo:block-container>
	</xsl:template>
	<!-- ***** FIN ***** -->

</xsl:stylesheet>
