<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output encoding="ISO-8859-1" method="html"/>
	<xsl:strip-space elements="*"/>
	<xsl:param name="base_path" select="''"/>
	<xsl:template match="/">
		<html>
			<head>
				<script LANGUAGE="JavaScript">
    lastShown = -1;

    function show(newValue) {
    	  obj = document.getElementById(lastShown);
    	  if (obj != null) {
    	  	obj.style.display="none";
    	  }

         if (newValue != lastShown) {
	    	  obj = document.getElementById(newValue);
		  obj.style.display="";
		  lastShown = newValue;
	  } else {
	     lastShown = -1;
	  }
    }
   </script>
			</head>
			<body>
				<a name="#inicio"/>
				<table>
					<tr>
						<td>
							<font color="#333399" size="+3" face="Verdana, Arial, Helvetica, sans-serif">Informe de <strong>Firma Electrónica</strong>
							</font>
						</td>
						<td>
							<xsl:text disable-output-escaping="yes">&lt;img src="</xsl:text>
							<xsl:value-of select="$base_path"/>
							<xsl:text disable-output-escaping="yes">\logo.jpg"/&gt;</xsl:text>
						</td>
					</tr>
				</table>
				<br/>
				<b>
					<font color="#333399" size="+1" face="Verdana, Arial, Helvetica, sans-serif">Documentos firmados</font>
				</b>
				<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#333333">
					<tr>
						<td>
							<table>
					<xsl:for-each select="CMS_SIGNATURE/SIGNED_CONTENT/CONTENT">
								<tr>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<strong>Fichero:</strong>
										</font>
									</td>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<xsl:value-of select="DATA_NAME"/>
										</font>
									</td>
								</tr>

								<tr>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<strong>Tamaño:</strong>
										</font>
									</td>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<xsl:value-of select="DATA_SIZE"/> bytes
										</font>
									</td>
								</tr>
								<tr>
								<td colspan="2"><br/></td>
								</tr>
					</xsl:for-each>
							</table>
						</td>
					</tr>
				</table>
				<br/>
				<b>
					<font color="#333399" size="+1" face="Verdana, Arial, Helvetica, sans-serif">Firmantes</font>
				</b>
				<a name="indice">
					<!-- -->
				</a>
				<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#333333">
					<tr>
						<td>
							<table width="100%" align="center">
								<tr>
									<td>
										<ul>
											<xsl:for-each select="CMS_SIGNATURE/SIGNERS/SIGNER">
												<li>
													<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
														<xsl:call-template name="FIRMANTE"/>
													</font>
												</li>
												<ul>
													<li>
														<xsl:text disable-output-escaping="yes">&lt;a href="javascript:show('datos-</xsl:text>
														<xsl:value-of select="position()"/>')
												<xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
														<font size="1" face="Verdana, Arial, Helvetica, sans-serif">Datos firmante</font>
														<xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text>
													</li>
													<li>
														<xsl:text disable-output-escaping="yes">&lt;a href="javascript:show('firma-</xsl:text>
														<xsl:value-of select="position()"/>')
												<xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
														<font size="1" face="Verdana, Arial, Helvetica, sans-serif">Datos firma</font>
														<xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text>
													</li>

													<li>
														<xsl:text disable-output-escaping="yes">&lt;a href="javascript:show('sello-</xsl:text>
														<xsl:value-of select="position()"/>')
												<xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
														<font size="1" face="Verdana, Arial, Helvetica, sans-serif">Sellos de tiempo  (<xsl:value-of select="count(TIMESTAMPS/TIMESTAMP)"/>)</font>
														<xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text>
													</li>
													<li>
														<xsl:text disable-output-escaping="yes">&lt;a href="javascript:show('status-</xsl:text>
														<xsl:value-of select="position()"/>')
												<xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
														<font size="1" face="Verdana, Arial, Helvetica, sans-serif">Información de estado  (<xsl:value-of select="count(STATUS_INFOS/STATUS_INFO)"/>)</font>
														<xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text>
													</li>
												</ul>
											</xsl:for-each>
										</ul>
									</td>
								</tr>
								<tr>
									<td>
										<xsl:apply-templates select="CMS_SIGNATURE/SIGNERS/SIGNER"/>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="BINARY_ROW">
		<xsl:value-of select="."/>
		<br/>
	</xsl:template>
	<xsl:template match="SIGNER">
		<xsl:text disable-output-escaping="yes">&lt;span id="datos-</xsl:text>
		<xsl:value-of select="position()"/>
		<xsl:text disable-output-escaping="yes">" style="display:none" &gt;</xsl:text>
		<!--		<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#888888">
			<tr>
				<td>-->
		<table width="100%" align="center">
			<tr>
				<td>
					<font color="#333399" face="Verdana, Arial, Helvetica, sans-serif">Datos firmante</font>
				</td>
			</tr>
			<tr>
				<td>
					<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#CCCCCC">
						<tr>
							<td>
								<xsl:choose>
									<xsl:when test="REQUESTER">
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<strong>Ordenante</strong>
										</font>
										<table>
											<tr>
												<td width="20"/>
												<td colspan="2">
													<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
														<b>Nombre: </b>
														<xsl:value-of select="REQUESTER/NAME"/>
													</font>
												</td>
											</tr>
											<tr>
												<td width="20"/>
												<td colspan="2">
													<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
														<b>DNI/NIF: </b>
														<xsl:value-of select="REQUESTER/ID"/>
													</font>
												</td>
											</tr>
										</table>
										<br/>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<strong>Certificado del mandatario</strong>
										</font>
									</xsl:when>
									<xsl:otherwise>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<strong>Certificado del usuario</strong>
										</font>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:apply-templates select="X509CERTIFICATE"/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<xsl:text disable-output-escaping="yes">&lt;/span&gt;</xsl:text>
		<xsl:text disable-output-escaping="yes">&lt;span id="firma-</xsl:text>
		<xsl:value-of select="position()"/>
		<xsl:text disable-output-escaping="yes">" style="display:none" &gt;</xsl:text>
		<table>
			<tr>
				<td>
					<font color="#333399" face="Verdana, Arial, Helvetica, sans-serif">Datos firma</font>
				</td>
			</tr>
			<tr>
				<td>
					<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#CCCCCC">
								<tr>
									<td>
								<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
									<strong>Algoritmo de firma</strong>
								</font>
								<table>
									<tr>
										<td width="20"/>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<b>
													<i>Digestión: </i>
												</b>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:call-template name="DIGESTION"/>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<b>
													<i>Cifrado: </i>
												</b>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:call-template name="CIFRADO"/>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<b>
													<i>Long. clave: </i>
												</b>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:value-of select="X509CERTIFICATE/PUBLIC_KEY/LENGTH"/> bits</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<b>
													<i>Id. firma: </i>
												</b>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:value-of select="SIGNATURE/DIGEST"/></font>
										</td>
									</tr>
								</table>

								<br/>
								<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
									<strong>Dispositivo de creación de firma*</strong>
								</font>
								<table>
									<tr>
										<td width="20"/>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<b>
													<i>Software: </i>
												</b>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:value-of select="DEVICE_INFO/SOFT_CODE"/>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<b>
													<i>Fabricante soft.: </i>
												</b>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:value-of select="DEVICE_INFO/SOFT_VENDOR"/>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<b>
													<i>Librería criptográfica: </i>
												</b>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:value-of select="DEVICE_INFO/LIB_NAME"/>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<b>
													<i>Fabricante librería: </i>
												</b>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:value-of select="DEVICE_INFO/LIB_VENDOR"/>
											</font>
										</td>
									</tr>
								</table>
								<table>
									<tr>
										<td width="20"/>
										<td>
											<font size="1" face="Verdana, Arial, Helvetica, sans-serif">
													*Dispositivo de creación de firma homologado por ANF Autoridad de Certificación. Este dispositivo cumple las garantías exigidas en el art. 24.3 de la Ley de Firma Electrónica 59/2003, como <b>Dispositivo Seguro de Creación de Firma</b>
											</font>
										</td>
									</tr>
								</table>									</td>
								</tr>

					</table>
				</td>
			</tr>
		</table>

		<xsl:text disable-output-escaping="yes">&lt;/span&gt;</xsl:text>

		<xsl:text disable-output-escaping="yes">&lt;span id="sello-</xsl:text>
		<xsl:value-of select="position()"/>
		<xsl:text disable-output-escaping="yes">" style="display:none" &gt;</xsl:text>
		<table>
			<tr>
				<td>
					<font color="#333399" face="Verdana, Arial, Helvetica, sans-serif">Sellos de tiempo</font>
				</td>
			</tr>
			<tr>
				<td>
					<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#CCCCCC">
						<xsl:choose>
							<xsl:when test="count(TIMESTAMPS/TIMESTAMP)=0">
								<tr>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<strong>No hay sello de tiempo asociado.</strong>
										</font>
									</td>
								</tr>
							</xsl:when>
							<xsl:otherwise>
								<xsl:for-each select="TIMESTAMPS/TIMESTAMP">
									<xsl:apply-templates select=".">
										<xsl:with-param name="tsIndex" select="position()"/>
									</xsl:apply-templates>
								</xsl:for-each>
							</xsl:otherwise>
						</xsl:choose>
					</table>
				</td>
			</tr>
		</table>
		<!--				</td>
			</tr>
		</table>-->
		<xsl:text disable-output-escaping="yes">&lt;/span&gt;</xsl:text>
		<xsl:text disable-output-escaping="yes">&lt;span id="status-</xsl:text>
		<xsl:value-of select="position()"/>
		<xsl:text disable-output-escaping="yes">" style="display:none" &gt;</xsl:text>
		<table>
			<tr>
				<td>
					<font color="#333399" face="Verdana, Arial, Helvetica, sans-serif">Información de estado</font>
				</td>
			</tr>
			<tr>
				<td>
					<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#CCCCCC">
						<xsl:choose>
							<xsl:when test="count(STATUS_INFOS/STATUS_INFO)=0">
								<tr>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<strong>No hay información de estado empotrada en la firma.</strong>
										</font>
									</td>
								</tr>
							</xsl:when>
							<xsl:otherwise>
								<xsl:for-each select="STATUS_INFOS/STATUS_INFO">
									<xsl:apply-templates select=".">
										<xsl:with-param name="stIndex" select="position()"/>
									</xsl:apply-templates>
								</xsl:for-each>
							</xsl:otherwise>
						</xsl:choose>
					</table>
				</td>
			</tr>
		</table>
		<!--				</td>
			</tr>
		</table>-->
		<xsl:text disable-output-escaping="yes">&lt;/span&gt;</xsl:text>
	</xsl:template>
	<xsl:template name="CALCULATE_IMPORT">
		<xsl:param name="exp">1</xsl:param>
		<xsl:param name="base"/>
		<xsl:if test="$exp>0">
			<xsl:call-template name="CALCULATE_IMPORT">
				<xsl:with-param name="exp" select="$exp - 1"/>
				<xsl:with-param name="base" select="concat($base, '0')"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$exp=0">
			<xsl:value-of select="$base"/>
		</xsl:if>
	</xsl:template>
	<xsl:template match="TIMESTAMP">
		<xsl:param name="tsIndex">1</xsl:param>
		<tr>
			<td>
				<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
					<strong><u>Datos del sello <xsl:value-of select="$tsIndex"/></u>
					</strong>
				</font>
				<br/>
				<br/>
				<table>
					<tr>
						<td colspan="3">
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<strong>Información general
								</strong>
							</font>
						</td>
					</tr>

					<tr>
						<td width="20"/>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<b>
									<i>Fecha local: </i>
								</b>
							</font>
						</td>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<xsl:value-of select="TIME_LOCAL/TIME"/>
								<i> (<xsl:value-of select="TIME_LOCAL/ZONE"/>)</i>
							</font>
						</td>
					</tr>
					<tr>
						<td width="20"/>
						<td valign="top">
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<b>
									<i>Fecha UTC: </i>
								</b>
							</font>
						</td>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<xsl:value-of select="TIME_UTC"/>
							</font>
							<br/>
							<font size="1" face="Verdana, Arial, Helvetica, sans-serif">
 (Tiempo Universal Coordenado, no se aplica desplazamiento horario verano-invierno)</font>
						</td>
					</tr>
					<tr>
						<td width="20"/>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<b>
									<i>Núm. de transacción: </i>
								</b>
							</font>
						</td>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<xsl:value-of select="TOKENSERIAL"/>
							</font>
						</td>
					</tr>
					<tr>
						<td width="20"/>
						<td valign="top">
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<b>
									<i>Fuente de tiempo: </i>
								</b>
							</font>
						</td>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								Real Observatorio de la Armada <b>ROA</b>
							</font>
							<br/>
							<font size="1" face="Verdana, Arial, Helvetica, sans-serif">
							(Real decreto 23 octubre 1992, núm. 1308/1992, declarado base de la hora legal en el territorio nacional)
							</font>
						</td>
					</tr>
				</table>
				<br/>
				<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
					<strong>Certificado de la autoridad generadora del sello</strong>
				</font>
				<xsl:apply-templates select="X509CERTIFICATE"/>
				<br/>
				<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
					<strong>Algoritmo de firma</strong>
				</font>
				<table>
					<tr>
						<td width="20"/>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<b>
									<i>Digestión: </i>
								</b>
							</font>
						</td>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<xsl:call-template name="DIGESTION"/>
							</font>
						</td>
					</tr>
					<tr>
						<td width="20"/>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<b>
									<i>Cifrado: </i>
								</b>
							</font>
						</td>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<xsl:call-template name="CIFRADO"/>
							</font>
						</td>
					</tr>
					<tr>
						<td width="20"/>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<b>
									<i>Long. clave: </i>
								</b>
							</font>
						</td>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<xsl:value-of select="X509CERTIFICATE/PUBLIC_KEY/LENGTH"/> bits
							</font>
						</td>
					</tr>
					<tr>
						<td width="20"/>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<b>
									<i>Id. firma: </i>
								</b>
							</font>
						</td>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<xsl:value-of select="SIGNATURE/DIGEST"/>
							</font>
						</td>
					</tr>
				</table>
				<br/>
				<xsl:if test="DEVICE_INFO">
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<strong>Dispositivo de creación de firma*</strong>
					</font>
					<table>
						<tr>
							<td width="20"/>
							<td>
								<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
									<b>
										<i>Software: </i>
									</b>
								</font>
							</td>
							<td>
								<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
									<xsl:value-of select="DEVICE_INFO/SOFT_CODE"/>
								</font>
							</td>
						</tr>
						<tr>
							<td width="20"/>
							<td>
								<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
									<b>
										<i>Fabricante soft.: </i>
									</b>
								</font>
							</td>
							<td>
								<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
									<xsl:value-of select="DEVICE_INFO/SOFT_VENDOR"/>
								</font>
							</td>
						</tr>
						<tr>
							<td width="20"/>
							<td>
								<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
									<b>
										<i>Librería criptográfica: </i>
									</b>
								</font>
							</td>
							<td>
								<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
									<xsl:value-of select="DEVICE_INFO/LIB_NAME"/>
								</font>
							</td>
						</tr>
						<tr>
							<td width="20"/>
							<td>
								<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
									<b>
										<i>Fabricante librería: </i>
									</b>
								</font>
							</td>
							<td>
								<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
									<xsl:value-of select="DEVICE_INFO/LIB_VENDOR"/>
								</font>
							</td>
						</tr>
					</table>
					<table>
						<tr>
							<td width="20"/>
							<td>
								<font size="1" face="Verdana, Arial, Helvetica, sans-serif">
													*Dispositivo de creación de firma homologado por ANF Autoridad de Certificación. Este dispositivo cumple las garantías exigidas en el art. 24.3 de la Ley de Firma Electrónica 59/2003, como <b>Dispositivo Seguro de Creación de Firma</b>
								</font>
							</td>
						</tr>
					</table>
				</xsl:if>
				<br/>
				<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
					<strong>Secuencia de hashes</strong>
				</font>
				<xsl:apply-templates select="HASH"/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="STATUS_INFO">
		<xsl:param name="stIndex">1</xsl:param>
		<tr>
			<td>
				<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
					<strong><u>Información de estado <xsl:value-of select="$stIndex"/></u>
					</strong>
				</font>
				<br/>
				<br/>
				<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
					<strong>Información general</strong>
				</font>
				<table>
					<tr>
						<td width="20"/>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<b>
									<i>Fecha información: </i>
								</b>
							</font>
						</td>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<xsl:value-of select="TIME"/>
							</font>
						</td>
					</tr>
					<tr>
						<td width="20"/>
						<td valign="top">
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<b>
									<i>Estado certificado: </i>
								</b>
							</font>
						</td>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<xsl:choose>
									<xsl:when test="STATUS/GOOD">Activo</xsl:when>
									<xsl:when test="STATUS/REVOKED">Revocado<br/>
									Fecha: <xsl:value-of select="STATUS/REVOKED/TIME"/><br/>
									Motivo:
									<xsl:choose>
										<xsl:when test="STATUS/REVOKED/REASON = 0">No especificado</xsl:when>
										<xsl:when test="STATUS/REVOKED/REASON = 1">Compromiso de la clave</xsl:when>
										<xsl:when test="STATUS/REVOKED/REASON = 2">Compromiso de la clave de CA</xsl:when>
										<xsl:when test="STATUS/REVOKED/REASON = 3">Cambio de datos</xsl:when>
										<xsl:when test="STATUS/REVOKED/REASON = 4">Certificado reemplazado</xsl:when>
										<xsl:when test="STATUS/REVOKED/REASON = 5">Cese de operación</xsl:when>
										<xsl:when test="STATUS/REVOKED/REASON = 6">Temporalmente suspendido</xsl:when>
										<xsl:otherwise>--</xsl:otherwise>
									</xsl:choose>
									</xsl:when>
									<xsl:otherwise>Desconocido</xsl:otherwise>
								</xsl:choose>
							</font>
						</td>
					</tr>
					<tr>
						<td width="20"/>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<b>
									<i>Tipo información: </i>
								</b>
							</font>
						</td>
						<td>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<xsl:choose>
									<xsl:when test="OCSP">Respuesta OCSP (Online Certificate Status Protocol)</xsl:when>
									<xsl:otherwise>CRL (Certificate Revocation List)</xsl:otherwise>
								</xsl:choose>
							</font>
						</td>
					</tr>
				</table>
				<br/>
				<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
					<strong>Certificado de la autoridad generadora de la información</strong>
				</font>
				<xsl:apply-templates select="X509CERTIFICATE"/>
				<br/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="HASH">
		<table>
			<tr>
				<td width="20"/>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<b>
							<i>Anterior: </i>
						</b>
					</font>
				</td>
				<td>
					<font size="2" face="Courier New, Courier, mono">
						<xsl:value-of select="PREVIOUS"/>
					</font>
				</td>
			</tr>
			<tr>
				<td width="20"/>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<b>
							<i>Actual: </i>
						</b>
					</font>
				</td>
				<td>
					<font size="2" face="Courier New, Courier, mono">
						<xsl:value-of select="CURRENT"/>
					</font>
				</td>
			</tr>
			<tr>
				<td width="20"/>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<b>
							<i>Siguiente: </i>
						</b>
					</font>
				</td>
				<td>
					<font size="2" face="Courier New, Courier, mono">
						<xsl:value-of select="NEXT"/>
					</font>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="X509CERTIFICATE">
		<table>
			<xsl:apply-templates select="SUBJECT/PRINCIPAL"/>
			<tr>
				<td width="20"/>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<b>
							<i>Entidad emisora: </i>
						</b>
					</font>
				</td>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<xsl:apply-templates select="ISSUER/X509CERTIFICATE/SUBJECT"/>
					</font>
				</td>
			</tr>
			<tr>
				<td width="20"/>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<b>
							<i>Número de serie: </i>
						</b>
					</font>
				</td>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<xsl:value-of select="SERIAL_NUMBER"/>
					</font>
				</td>
			</tr>
		</table>
		<br/>
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
			<strong>Periodo de validez del certificado</strong>
		</font>
		<table>
			<tr>
				<td width="20"/>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<b>
							<i>Inicio: </i>
						</b>
					</font>
				</td>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<xsl:value-of select="FROM"/>
					</font>
				</td>
			</tr>
			<tr>
				<td width="20"/>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<b>
							<i>Fin: </i>
						</b>
					</font>
				</td>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<xsl:value-of select="TO"/>
					</font>
				</td>
			</tr>
		</table>
		<br/>
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
			<strong>Información del certificado</strong>
		</font>
		<table>
			<tr>
				<td width="20"/>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<b>
							<i>Usos básicos: </i>
						</b>
					</font>
				</td>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<xsl:if test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.15']/BIT_STRING,8,1) = '1'"> Firma digital. </xsl:if>
						<xsl:if test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.15']/BIT_STRING,7,1) = '1'"> No repudio. </xsl:if>
						<xsl:if test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.15']/BIT_STRING,6,1) = '1'"> Cifrado de claves. </xsl:if>
						<xsl:if test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.15']/BIT_STRING,5,1) = '1'"> Cifrado de datos. </xsl:if>
						<xsl:if test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.15']/BIT_STRING,4,1) = '1'"> Negociación de claves. </xsl:if>
						<xsl:if test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.15']/BIT_STRING,3,1) = '1'"> Firma de certificados. </xsl:if>
						<xsl:if test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.15']/BIT_STRING,2,1) = '1'"> Firma de CRL. </xsl:if>
						<xsl:if test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.15']/BIT_STRING,1,1) = '1'"> Solo cifrado. </xsl:if>
						<xsl:if test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.15']/BIT_STRING,16,1) = '1'"> Solo descifrado. </xsl:if>
					</font>
				</td>
			</tr>
			<tr>
				<td width="20"/>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<b>
							<i>Usos extendidos: </i>
						</b>
					</font>
				</td>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<xsl:if test="not(EXTENSIONS/EXTENSION[@OID='2.5.29.37'])"> - No hay usos extendidos - </xsl:if>
						<xsl:if test="EXTENSIONS/EXTENSION[@OID='2.5.29.37']/SEQUENCE/OID = '1.3.6.1.5.5.7.3.0'"> Cualquier uso. </xsl:if>
						<xsl:if test="EXTENSIONS/EXTENSION[@OID='2.5.29.37']/SEQUENCE/OID = '1.3.6.1.5.5.7.3.1'"> Autentificación de servidor. </xsl:if>
						<xsl:if test="EXTENSIONS/EXTENSION[@OID='2.5.29.37']/SEQUENCE/OID = '1.3.6.1.5.5.7.3.2'"> Autentificación de cliente. </xsl:if>
						<xsl:if test="EXTENSIONS/EXTENSION[@OID='2.5.29.37']/SEQUENCE/OID = '1.3.6.1.5.5.7.3.3'"> Firma de código. </xsl:if>
						<xsl:if test="EXTENSIONS/EXTENSION[@OID='2.5.29.37']/SEQUENCE/OID = '1.3.6.1.5.5.7.3.4'"> Protección de email. </xsl:if>
						<xsl:if test="EXTENSIONS/EXTENSION[@OID='2.5.29.37']/SEQUENCE/OID = '1.3.6.1.5.5.7.3.5'"> IPSEC Sistema final. </xsl:if>
						<xsl:if test="EXTENSIONS/EXTENSION[@OID='2.5.29.37']/SEQUENCE/OID = '1.3.6.1.5.5.7.3.6'"> IPSEC Tunel. </xsl:if>
						<xsl:if test="EXTENSIONS/EXTENSION[@OID='2.5.29.37']/SEQUENCE/OID = '1.3.6.1.5.5.7.3.7'"> IPSEC Usuario. </xsl:if>
						<xsl:if test="EXTENSIONS/EXTENSION[@OID='2.5.29.37']/SEQUENCE/OID = '1.3.6.1.5.5.7.3.8'"> Sellado de tiempo. </xsl:if>
						<xsl:if test="EXTENSIONS/EXTENSION[@OID='2.5.29.37']/SEQUENCE/OID = '1.3.6.1.5.5.7.3.9'"> Firma de OCSP. </xsl:if>
					</font>
				</td>
			</tr>
			<tr>
				<td width="20"/>
				<td valign="top">
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<b>
							<i>Calificación: </i>
						</b>
					</font>
				</td>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<xsl:if test="EXTENSIONS/EXTENSION[@OID='1.3.6.1.5.5.7.1.3']/SEQUENCE/SEQUENCE/OID = '0.4.0.1862.1.1'">El certificado empleado por el signatario ha sido emitido de acuerdo con lo establecido en el art. 11 de la Ley de Firma Electrónica 59/2003, como <b>certificado reconocido</b>. </xsl:if>
						<xsl:if test="not (EXTENSIONS/EXTENSION[@OID='1.3.6.1.5.5.7.1.3']/SEQUENCE/SEQUENCE/OID = '0.4.0.1862.1.1')">El certificado empleado por el signatario ha sido acreditado por la Agencia Estatal de Administración Tributaria, al amparo de lo dispuesto en la Orden 1181/2003, de 12 de mayo.  Resolución de fecha 18 de marzo de 2004 Ref.CON 1214/03. </xsl:if>
					</font>
				</td>
			</tr>
			<tr>
				<td width="20"/>
				<td valign="top">
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<b>
							<i>Importe transacción: </i>
						</b>
					</font>
				</td>
				<td>
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<xsl:if test="EXTENSIONS/EXTENSION[@OID='1.3.6.1.5.5.7.1.3']/SEQUENCE/SEQUENCE/OID = '0.4.0.1862.1.2'">
																Limitado a un máximo de
																<xsl:value-of select="EXTENSIONS/EXTENSION[@OID='1.3.6.1.5.5.7.1.3']/SEQUENCE/SEQUENCE[OID='0.4.0.1862.1.2']/SEQUENCE/INTEGER[1]"/>
							<xsl:variable name="i" select="number(EXTENSIONS/EXTENSION[@OID='1.3.6.1.5.5.7.1.3']/SEQUENCE/SEQUENCE[OID='0.4.0.1862.1.2']/SEQUENCE/INTEGER[2])"/>
							<xsl:call-template name="CALCULATE_IMPORT">
								<xsl:with-param name="exp" select="$i"/>
							</xsl:call-template>
							<xsl:if test="EXTENSIONS/EXTENSION[@OID='1.3.6.1.5.5.7.1.3']/SEQUENCE/SEQUENCE[OID='0.4.0.1862.1.2']/SEQUENCE/STRING = 'EUR'"> euros.
</xsl:if>
							<xsl:if test="not(EXTENSIONS/EXTENSION[@OID='1.3.6.1.5.5.7.1.3']/SEQUENCE/SEQUENCE[OID='0.4.0.1862.1.2']/SEQUENCE/STRING = 'EUR')">
								<xsl:value-of select="EXTENSIONS/EXTENSION[@OID='1.3.6.1.5.5.7.1.3']/SEQUENCE/SEQUENCE[OID='0.4.0.1862.1.2']/SEQUENCE/STRING"/>
							</xsl:if>
						</xsl:if>
						<xsl:if test="not (EXTENSIONS/EXTENSION[@OID='1.3.6.1.5.5.7.1.3']/SEQUENCE/SEQUENCE/OID = '0.4.0.1862.1.2')"> -No indicado- </xsl:if>
					</font>
				</td>
			</tr>
		</table>
		<br/>
		<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
			<strong>Política de emisión del certificado</strong>
		</font>
		<table>
			<xsl:if test="not(EXTENSIONS/EXTENSION[@OID='2.5.29.32'])">
				<tr>
					<td width="20"/>
					<td>-No hay ninguna política definida-</td>
				</tr>
			</xsl:if>
			<xsl:if test="EXTENSIONS/EXTENSION[@OID='2.5.29.32']">
				<tr>
					<td width="20"/>
					<td>
						<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
							<b>
								<i>Nombre: </i>
							</b>
						</font>
					</td>
					<td>
						<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
							<xsl:choose>
								<xsl:when test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 21) = '1.3.6.1.4.1.18332.16.'">Firma de código</xsl:when>
								<xsl:when test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 21) = '1.3.6.1.4.1.18332.15.'">Sellado de tiempo</xsl:when>
								<xsl:when test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 21) = '1.3.6.1.4.1.18332.17.'">SSL (Secure Socket Layer)</xsl:when>
								<xsl:when test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 21) = '1.3.6.1.4.1.18332.21.'">SSL (Secure Socket Layer)</xsl:when>
								<xsl:when test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 21) = '1.3.6.1.4.1.18332.22.'">Autoridad de registro</xsl:when>
								<xsl:when test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 21) = '1.3.6.1.4.1.18332.23.'">Responsable de dictámens de emisión</xsl:when>
								<xsl:when test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 21) = '1.3.6.1.4.1.18332.24.' or substring(EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 21) = '1.3.6.1.4.1.18332.18.'">Respondedor OCSP</xsl:when>
								<xsl:when test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 20) = '1.3.6.1.4.1.18332.9.'">Generador de CRL</xsl:when>
								<xsl:when test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 20) = '1.3.6.1.4.1.18332.3.'">Clase 2 persona física</xsl:when>
								<xsl:when test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 20) = '1.3.6.1.4.1.18332.2.'">Clase 2 persona jurídica</xsl:when>
								<xsl:when test="substring(EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 20) = '1.3.6.1.4.1.18332.1.'">Autoridad de certificación</xsl:when>
								<xsl:when test="EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID = '2.16.724.1.2.2.2.3'">DNI Electrónico</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID"/>
								</xsl:otherwise>
							</xsl:choose>
						</font>
					</td>
				</tr>
				<tr>
					<td width="20"/>
					<td>
						<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
							<b>
								<i>Identificador: </i>
							</b>
						</font>
					</td>
					<td>
						<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
							<xsl:value-of select="EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID"/>
						</font>
					</td>
				</tr>
				<tr>
					<td width="20"/>
					<td>
						<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
							<b>
								<i>URL de acceso: </i>
							</b>
						</font>
					</td>
					<td>
						<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
							<xsl:choose>
								<xsl:when test="EXTENSIONS/EXTENSION
[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/SEQUENCE/SEQUENCE[OID='1.3.6.1.5.5.7.2.1']">
									<xsl:text disable-output-escaping="yes">&lt;a href="</xsl:text>
									<xsl:value-of select="EXTENSIONS/EXTENSION
[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/SEQUENCE/SEQUENCE[OID='1.3.6.1.5.5.7.2.1']/STRING"/>
									<xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
									<xsl:value-of select="EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/SEQUENCE/SEQUENCE[OID='1.3.6.1.5.5.7.2.1']/STRING"/>
									<xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text>
								</xsl:when>
								<xsl:otherwise>
															-No hay URL definida-
															</xsl:otherwise>
							</xsl:choose>
						</font>
					</td>
				</tr>
				<tr>
					<td width="20"/>
					<td valign="top">
						<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
							<b>
								<i>Mensaje del emisor: </i>
							</b>
						</font>
					</td>
					<td>
						<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
							<xsl:choose>
								<xsl:when test="EXTENSIONS/EXTENSION
[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/SEQUENCE/SEQUENCE[OID='1.3.6.1.5.5.7.2.2']">
									<textarea cols="40" rows="5" readonly="readonly">
										<xsl:value-of select="EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/SEQUENCE/SEQUENCE[OID='1.3.6.1.5.5.7.2.2']/SEQUENCE/STRING"/>
									</textarea>
								</xsl:when>
								<xsl:otherwise>
															-El emisor no ha definido ningún mensaje-
															</xsl:otherwise>
							</xsl:choose>
						</font>
					</td>
				</tr>
			</xsl:if>
		</table>
	</xsl:template>
	<xsl:template match="PRINCIPAL">
		<xsl:apply-templates select="VALUE"/>
	</xsl:template>
	<xsl:template name="DIGESTION">
		<xsl:choose>
			<xsl:when test="SIGNATURE[@DIGEST_ALG='1.2.840.113549.2.2']">
				MD2 (1.2.840.113549.2.2)
			</xsl:when>
			<xsl:when test="SIGNATURE[@DIGEST_ALG='1.2.840.113549.2.4']">
				MD4 (1.2.840.113549.2.4)
			</xsl:when>
			<xsl:when test="SIGNATURE[@DIGEST_ALG='1.2.840.113549.2.5']">
				MD5 (1.2.840.113549.2.5)
			</xsl:when>
			<xsl:when test="SIGNATURE[@DIGEST_ALG='1.3.14.3.2.26']">
				SHA-1 (1.3.14.3.2.26)
			</xsl:when>
			<xsl:when test="SIGNATURE[@DIGEST_ALG='2.16.840.1.101.3.4.2.1']">
				SHA-256 (2.16.840.1.101.3.4.2.1)
			</xsl:when>
			<xsl:when test="SIGNATURE[@DIGEST_ALG='2.16.840.1.101.3.4.2.2']">
				SHA-384 (2.16.840.1.101.3.4.2.2)
			</xsl:when>
			<xsl:when test="SIGNATURE[@DIGEST_ALG='2.16.840.1.101.3.4.2.3']">
				SHA-512 (2.16.840.1.101.3.4.2.3)
			</xsl:when>
			<xsl:when test="SIGNATURE[@DIGEST_ALG='2.16.840.1.101.3.4.2.4']">
				SHA-224 (2.16.840.1.101.3.4.2.4)
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="SIGNATURE/@DIGEST_ALG"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="CIFRADO">
		<xsl:choose>
			<xsl:when test="SIGNATURE[@ENCRYPT_ALG='1.2.840.113549.1.1.1']">
				RSA (1.2.840.113549.1.1.1)
			</xsl:when>
			<xsl:when test="SIGNATURE[@ENCRYPT_ALG='1.2.840.10040.4.3']">
				DSA (1.2.840.10040.4.3)
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="SIGNATURE/@ENCRYPT_ALG"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="VALUE">
		<tr>
			<td width="20"/>
			<td>
				<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
					<xsl:choose>
						<xsl:when test="@OID='2.5.4.3'">
							<b>
								<i>Nombre común: </i>
							</b>
						</xsl:when>
						<xsl:when test="@OID='2.5.4.4'">
							<b>
								<i>Apellidos: </i>
							</b>
						</xsl:when>
						<xsl:when test="@OID='2.5.4.42'">
							<b>
								<i>Nombre: </i>
							</b>
						</xsl:when>
						<xsl:when test="@OID='1.2.840.113549.1.9.1'">
							<b>
								<i>Email: </i>
							</b>
						</xsl:when>
						<xsl:when test="@OID='2.5.4.5' and not(../VALUE[@OID='1.3.6.1.4.1.18838.1.1'])">
							<b>
								<i>DNI/NIF: </i>
							</b>
						</xsl:when>
						<xsl:when test="@OID='2.5.4.5' and ../VALUE[@OID='1.3.6.1.4.1.18838.1.1']">
							<b>
								<i>CIF: </i>
							</b>
						</xsl:when>
						<xsl:when test="@OID='2.5.4.11'">
							<b>
								<i>Departamento: </i>
							</b>
						</xsl:when>
						<xsl:when test="@OID='2.5.4.10'">
							<b>
								<i>Organización: </i>
							</b>
						</xsl:when>
						<xsl:when test="@OID='2.5.4.7'">
							<b>
								<i>Localidad: </i>
							</b>
						</xsl:when>
						<xsl:when test="@OID='2.5.4.8'">
							<b>
								<i>Provincia: </i>
							</b>
						</xsl:when>
						<xsl:when test="@OID='2.5.4.6'">
							<b>
								<i>Código país: </i>
							</b>
						</xsl:when>
						<xsl:when test="@OID='2.5.4.16'">
							<b>
								<i>Dirección: </i>
							</b>
						</xsl:when>
						<xsl:when test="@OID='2.5.4.12'">
							<b>
								<i>Cargo: </i>
							</b>
						</xsl:when>
						<xsl:when test="@OID='2.5.4.17'">
							<b>
								<i>Código postal: </i>
							</b>
						</xsl:when>
						<xsl:when test="@OID='2.5.4.20'">
							<b>
								<i>Teléfono: </i>
							</b>
						</xsl:when>
						<xsl:when test="@OID='1.3.6.1.4.1.18838.1.1'">
							<b>
								<i>DNI/NIF: </i>
							</b>
						</xsl:when>
						<xsl:otherwise>
							<b>
								<i>
									<xsl:value-of select="@OID"/>: </i>
							</b>
						</xsl:otherwise>
					</xsl:choose>
					<br/>
				</font>
			</td>
			<td>
				<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
					<xsl:value-of select="."/>
				</font>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="SUBJECT">
		<xsl:choose>
			<xsl:when test="PRINCIPAL/VALUE[@OID='2.5.4.3']">
				<xsl:value-of select="PRINCIPAL/VALUE[@OID='2.5.4.3']"/>
			</xsl:when>
			<xsl:when test="PRINCIPAL/VALUE[@OID='2.5.4.42']">
				<xsl:value-of select="PRINCIPAL/VALUE[@OID='2.5.4.42']"/>
				<xsl:text disable-output-escaping="yes">&amp;</xsl:text>nbsp;<xsl:value-of select="PRINCIPAL/VALUE[@OID='2.5.4.4']"/>
			</xsl:when>
			<xsl:when test="PRINCIPAL/VALUE[@OID='2.5.4.4']">
				<xsl:value-of select="PRINCIPAL/VALUE[@OID='2.5.4.4']"/>
			</xsl:when>
			<xsl:when test="PRINCIPAL/VALUE[@OID='1.2.840.113549.1.9.1']">
				<xsl:value-of select="PRINCIPAL/VALUE[@OID='1.2.840.113549.1.9.1']"/>
			</xsl:when>
			<xsl:otherwise>Firmante</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="FIRMANTE">
		<xsl:choose>
			<xsl:when test="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='1.3.6.1.4.1.18838.1.1']">
				<strong>
					<xsl:value-of select="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.42']"/>
					<xsl:text disable-output-escaping="yes">&amp;</xsl:text>nbsp;<xsl:value-of select="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.4']"/>
				</strong> en nombre y representación de  <strong>
					<xsl:value-of select="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.3']"/>
				</strong>
			</xsl:when>
			<xsl:otherwise>
				<strong>
					<xsl:choose>
						<xsl:when test="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.3']">
							<xsl:value-of select="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.3']"/>
						</xsl:when>
						<xsl:when test="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.42']">
							<xsl:value-of select="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.42']"/>
							<xsl:text disable-output-escaping="yes">&amp;</xsl:text>nbsp;<xsl:value-of select="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.4']"/>
						</xsl:when>
						<xsl:when test="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.4']">
							<xsl:value-of select="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.4']"/>
						</xsl:when>
						<xsl:when test="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='1.2.840.113549.1.9.1']">
							<xsl:value-of select="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='1.2.840.113549.1.9.1']"/>
						</xsl:when>
						<xsl:otherwise>Firmante</xsl:otherwise>
					</xsl:choose>
				</strong> en nombre y representación propio.
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
