<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output encoding="ISO-8859-1" method="html"/>
	<xsl:strip-space elements="*"/>
	<xsl:param name="base_path" select="'C:\Tradise_Crypto_API\jre'"/>
	<xsl:template match="/">
		<html>
			<head>
				<xsl:text disable-output-escaping="yes">&lt;meta name="1.3.6.1.4.1.18332.28.1" content="</xsl:text>
				<xsl:for-each select="CMS_SIGNATURE/BINARY_DATA/BINARY_ROW">
					<xsl:value-of select="."/>
				</xsl:for-each>
				<xsl:text disable-output-escaping="yes">"/&gt;</xsl:text>
			</head>
			<body>
				<a name="#inicio"/>
				<table>
					<tr>
						<td colspan="2">
							<font color="#333399" size="+3" face="Verdana, Arial, Helvetica, sans-serif">Documento de <strong>Firma Electrónica</strong>
							</font>
						</td>
					</tr>
					
					<tr>
						<td colspan="2">
							<br/>
							<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
								<font color="#CC0000">
									<strong>¡¡IMPORTANTE!!</strong>
								</font> Esta es una representación gráfica de la firma electrónica, la información visualizada solo es confiable si este documento se ha obtenido en este instante por aplicación de un programa homologado de ANF AC.<br/> 
El conjunto de los datos que permiten aplicar un proceso de verificación, se encuentran contenidos en el código fuente de este fichero .html. Es imprescindible, para mantener su validez como medio de prueba, almacenar este documento de firma en el mismo formato electrónico en el que ha sido generado.         </font>
						</td>
					</tr>
				</table>
				<br/>
				<b>
					<font color="#333399" size="+1" face="Verdana, Arial, Helvetica, sans-serif">Datos signatario/s</font>
				</b>
				<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#333333">
					<tr>
						<td>
							<table>
								<xsl:for-each select="CMS_SIGNATURE/SIGNERS/SIGNER">
									<tr>
										<td colspan="3">
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>
													<u>Firmante <xsl:value-of select="position()"/>
													</u>
												</strong>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>Nombre:</strong>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:call-template name="FIRMANTE_PRINCIPAL"/>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>Firmando en nombre y representación:</strong>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:call-template name="FIRMANTE_REPRESENTACION"/>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>Máximo importe de firma:</strong>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:choose>
													<xsl:when test="X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='1.3.6.1.4.1.18332.60.4']">
														<xsl:value-of select="X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='1.3.6.1.4.1.18332.60.4']/STRING"/>
														<xsl:value-of select="X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='1.3.6.1.4.1.18332.60.5']/STRING"/>
													</xsl:when>
													<xsl:otherwise>No consta limitación</xsl:otherwise>
												</xsl:choose>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>Limitaciones de uso:</strong>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:choose>
													<xsl:when test="X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='1.3.6.1.4.1.18332.59']">
														<xsl:value-of select="X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='1.3.6.1.4.1.18332.59']/STRING"/>
													</xsl:when>
													<xsl:otherwise>No consta limitación</xsl:otherwise>
												</xsl:choose>
											</font>
										</td>
									</tr>
									<tr>
										<td colspan="3"/>
									</tr>
								</xsl:for-each>
							</table>
						</td>
					</tr>
				</table>
				<br/>
				<b>
					<font color="#333399" size="+1" face="Verdana, Arial, Helvetica, sans-serif">Datos de firma</font>
				</b>
				<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#333333">
					<tr>
						<td>
							<table>
								<tr>
									<td valign="top">
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<strong>Nombre fichero(s) firmado(s):</strong>
										</font>
									</td>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
									<xsl:for-each select="CMS_SIGNATURE/SIGNED_CONTENT/CONTENT">
											<xsl:value-of select="DATA_NAME"/><br/>
									</xsl:for-each>
										</font>
									</td>
								</tr>
<!--								<tr>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<strong>Nombre del documento de firma:</strong>
										</font>
									</td>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<xsl:value-of select="CMS_SIGNATURE/DATA_NAME"/>
											<xsl:choose>
												<xsl:when test="CMS_SIGNATURE/ENVELOPE_FORMAT='HTML - S/MIME'">.html</xsl:when>
												<xsl:otherwise>.slc</xsl:otherwise>
											</xsl:choose>
										</font>
									</td>
								</tr>-->
								<tr>
									<td valign="top">
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<strong>Fecha de firma:</strong>
										</font>
									</td>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<xsl:for-each select="CMS_SIGNATURE/SIGNERS/SIGNER">
												<xsl:choose>
													<xsl:when test="TIMESTAMPS/TIMESTAMP">
														<xsl:value-of select="TIMESTAMPS/TIMESTAMP/TIME_UTC"/>
														<strong> UTC* </strong>
													</xsl:when>
													<xsl:otherwise>Sin sello de tiempo</xsl:otherwise>
												</xsl:choose>
												(Firmante <xsl:value-of select="position()"/>)<br/>
											</xsl:for-each>
										</font>
									</td>
								</tr>
								<tr>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<strong>Formato de firma:</strong>
										</font>
									</td>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<xsl:value-of select="CMS_SIGNATURE/SIGNATURE_FORMAT"/>
										</font>
									</td>
								</tr>
								<tr>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<strong>Formato de encapsulamiento:</strong>
										</font>
									</td>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<xsl:value-of select="CMS_SIGNATURE/ENVELOPE_FORMAT"/>
										</font>
									</td>
								</tr>
								<tr>
									<td valign="top">
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<strong>Algoritmo de firma:</strong>
										</font>
									</td>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											<xsl:for-each select="CMS_SIGNATURE/SIGNERS/SIGNER">
												<xsl:call-template name="ALG_FIRMA"/> (Firmante <xsl:value-of select="position()"/>)<br/>
											</xsl:for-each>
										</font>
									</td>
								</tr>
								<tr>
									<td height="5" colspan="2"/>
								</tr>
								<tr>
									<td colspan="2">
										<font size="1" face="Verdana, Arial, Helvetica, sans-serif">
* Tiempo Universal Coordinado, no se aplica el desplazamiento horario verano-invierno</font>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
				<br/>
				<b>
					<font color="#333399" size="+1" face="Verdana, Arial, Helvetica, sans-serif">Certificado/s del signatario/s</font>
				</b>
				<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#333333">
					<tr>
						<td>
							<table>
								<xsl:for-each select="CMS_SIGNATURE/SIGNERS/SIGNER">
									<tr>
										<td colspan="3">
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>
													<u>Certificado del firmante <xsl:value-of select="position()"/>
													</u>
												</strong>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td valign="top">
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>Calificación del certificado:</strong>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:if test="X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='1.3.6.1.5.5.7.1.3']/SEQUENCE/SEQUENCE/OID = '0.4.0.1862.1.1'">El certificado empleado por el signatario ha sido emitido de acuerdo con lo establecido en el art. 11 de la Ley de Firma Electrónica 59/2003, como <b>certificado reconocido</b>. </xsl:if>
												<xsl:if test="not (X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='1.3.6.1.5.5.7.1.3']/SEQUENCE/SEQUENCE/OID = '0.4.0.1862.1.1')">El certificado empleado por el signatario ha sido acreditado por la Agencia Estatal de Administración Tributaria, al amparo de lo dispuesto en la Orden 1181/2003, de 12 de mayo.  Resolución de fecha 18 de marzo de 2004 Ref.CON 1214/03. </xsl:if>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td valign="top">
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>Número de serie:</strong>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:value-of select="X509CERTIFICATE/SERIAL_NUMBER"/>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td valign="top">
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>Tipo de certificado:</strong>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:choose>
													<xsl:when test="substring(X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 21) = '1.3.6.1.4.1.18332.16.'">Firma de código</xsl:when>
													<xsl:when test="substring(X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 21) = '1.3.6.1.4.1.18332.15.'">Sellado de tiempo</xsl:when>
													<xsl:when test="substring(X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 21) = '1.3.6.1.4.1.18332.17.'">SSL (Secure Socket Layer)</xsl:when>
													<xsl:when test="substring(X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 21) = '1.3.6.1.4.1.18332.21.'">SSL (Secure Socket Layer)</xsl:when>
													<xsl:when test="substring(X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 21) = '1.3.6.1.4.1.18332.22.'">Autoridad de registro</xsl:when>
													<xsl:when test="substring(X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 21) = '1.3.6.1.4.1.18332.23.'">Responsable de dictámens de emisión</xsl:when>
													<xsl:when test="substring(X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 21) = '1.3.6.1.4.1.18332.24.' or substring(X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 21) = '1.3.6.1.4.1.18332.18.'">Respondedor OCSP</xsl:when>
													<xsl:when test="substring(X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 20) = '1.3.6.1.4.1.18332.9.'">Generador de CRL</xsl:when>
													<xsl:when test="substring(X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 20) = '1.3.6.1.4.1.18332.3.'">Clase 2 persona física</xsl:when>
													<xsl:when test="substring(X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 20) = '1.3.6.1.4.1.18332.2.'">Clase 2 persona jurídica</xsl:when>
													<xsl:when test="substring(X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID, 1, 20) = '1.3.6.1.4.1.18332.1.'">Autoridad de certificación</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID"/>
													</xsl:otherwise>
												</xsl:choose>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td valign="top">
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>Entidad emisora:</strong>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:apply-templates select="X509CERTIFICATE/ISSUER/X509CERTIFICATE/SUBJECT"/>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td valign="top">
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>Algoritmo de firma:</strong>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:call-template name="ALG_FIRMA_CERT"/>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td valign="top">
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>Longitud clave:</strong>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:value-of select="X509CERTIFICATE/PUBLIC_KEY/LENGTH"/> bits
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td valign="top">
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>Periodo de validez:</strong>
											</font>
										</td>
										<td>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												Inicio:<xsl:value-of select="X509CERTIFICATE/FROM"/>
												<br/>
												Fin:<xsl:value-of select="X509CERTIFICATE/TO"/>
											</font>
										</td>
									</tr>
									<tr>
										<td height="5" colspan="3"/>
									</tr>
								</xsl:for-each>
							</table>
						</td>
					</tr>
				</table>
				<br/>
				<b>
					<font color="#333399" size="+1" face="Verdana, Arial, Helvetica, sans-serif">Sello digital de tiempo</font>
				</b>
				<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#333333">
					<tr>
						<td>
							<table>
								<xsl:for-each select="CMS_SIGNATURE/SIGNERS/SIGNER">
									<tr>
										<td colspan="3">
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>
													<u>Sellos del firmante <xsl:value-of select="position()"/>
													</u>
												</strong>
											</font>
										</td>
									</tr>
									<xsl:choose>
										<xsl:when test="count(TIMESTAMPS/TIMESTAMP)=0">
											<tr>
												<td width="20"/>
												<td colspan="2">
													<font size="2" face="Verdana, Arial, Helvetica, sans-serif">No hay sellos de tiempo disponibles</font>
												</td>
											</tr>
										</xsl:when>
										<xsl:otherwise>
											<xsl:for-each select="TIMESTAMPS/TIMESTAMP">
												<tr height="5">
													<td colspan="3"/>
												</tr>
												<tr>
													<td width="20"/>
													<td colspan="2">
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>
																<u>Sello <xsl:value-of select="position()"/>
																</u>
															</strong>
														</font>
													</td>
												</tr>
												<tr>
													<td width="20"/>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>
													Día y hora de emisión:
												</strong>
														</font>
													</td>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<xsl:value-of select="TIME_UTC"/>
															<strong> UTC*</strong>
														</font>
													</td>
												</tr>
												<tr>
													<td width="20"/>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>
													Sincronización fuente de tiempo:
												</strong>
														</font>
													</td>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											Real Observatorio de la Armada <strong>ROA**</strong>
														</font>
													</td>
												</tr>
												<tr>
													<td width="20"/>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>
													Número de transacción:
												</strong>
														</font>
													</td>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<xsl:value-of select="TOKENSERIAL"/>
														</font>
													</td>
												</tr>
												<tr>
													<td width="20"/>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>
													Autoridad de sellos de tiempo:
												</strong>
														</font>
													</td>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<xsl:apply-templates select="X509CERTIFICATE/ISSUER/X509CERTIFICATE/SUBJECT"/>
														</font>
													</td>
												</tr>
												<tr>
													<td width="20"/>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>
													Unidad de sellos de tiempo:
												</strong>
														</font>
													</td>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<xsl:apply-templates select="X509CERTIFICATE/SUBJECT"/>
														</font>
													</td>
												</tr>
												<tr>
													<td width="20"/>
													<td valign="top">
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>
													Secuencia de hashes:
												</strong>
														</font>
													</td>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>Anterior:</strong>
															<font face="Courier New, Courier, mono">
																<xsl:apply-templates select="HASH/PREVIOUS"/>
															</font>
															<br/>
															<strong>Actual:</strong>
															<font face="Courier New, Courier, mono">
																<xsl:apply-templates select="HASH/CURRENT"/>
															</font>
															<br/>
															<strong>Siguiente:</strong>
															<font face="Courier New, Courier, mono">
																<xsl:apply-templates select="HASH/NEXT"/>
															</font>
														</font>
													</td>
												</tr>
												<tr>
													<td width="20"/>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>
													Algoritmo de firma:
												</strong>
														</font>
													</td>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<xsl:call-template name="ALG_FIRMA"/>
														</font>
													</td>
												</tr>
												<tr>
													<td width="20"/>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>
													Longitud clave:
												</strong>
														</font>
													</td>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<xsl:value-of select="X509CERTIFICATE/PUBLIC_KEY/LENGTH"/> bits
											</font>
													</td>
												</tr>
												<tr>
													<td width="20"/>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>
													Directiva de la CPS de ANF AC TSA:
												</strong>
														</font>
													</td>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
														Identificador de la Declaración de Prácticas: <xsl:value-of select="X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID"/>
															<br/>
														URL de localización: 							<xsl:choose>
																<xsl:when test="X509CERTIFICATE/EXTENSIONS/EXTENSION
[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/SEQUENCE/SEQUENCE[OID='1.3.6.1.5.5.7.2.1']">
																	<xsl:text disable-output-escaping="yes">&lt;a href="</xsl:text>
																	<xsl:value-of select="X509CERTIFICATE/EXTENSIONS/EXTENSION
[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/SEQUENCE/SEQUENCE[OID='1.3.6.1.5.5.7.2.1']/STRING"/>
																	<xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
																	<xsl:value-of select="X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/SEQUENCE/SEQUENCE[OID='1.3.6.1.5.5.7.2.1']/STRING"/>
																	<xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text>
																</xsl:when>
																<xsl:otherwise>
															-No hay URL definida-
															</xsl:otherwise>
															</xsl:choose>
														</font>
													</td>
												</tr>
											</xsl:for-each>
										</xsl:otherwise>
									</xsl:choose>
									<tr>
										<td height="5" colspan="3"/>
									</tr>
								</xsl:for-each>
								<tr>
									<td height="5" colspan="3"/>
								</tr>
								<tr>
									<td colspan="3">
										<font size="1" face="Verdana, Arial, Helvetica, sans-serif">*Tiempo Universal Coordinado, no se aplica el desplazamiento horario verano-invierno</font>
									</td>
								</tr>
								<tr>
									<td colspan="3">
										<font size="1" face="Verdana, Arial, Helvetica, sans-serif">**Real Decreto 23 octubre 1992, núm. 1308/1992, declarado base de la hora legal en el territorio nacional.</font>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
				<br/>
				<b>
					<font color="#333399" size="+1" face="Verdana, Arial, Helvetica, sans-serif">Información de estado</font>
				</b>
				<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#333333">
					<tr>
						<td>
							<table>
								<xsl:for-each select="CMS_SIGNATURE/SIGNERS/SIGNER">
									<tr>
										<td colspan="3">
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>
													<u>Información de estado del firmante <xsl:value-of select="position()"/>
													</u>
												</strong>
											</font>
										</td>
									</tr>
									<xsl:choose>
										<xsl:when test="count(STATUS_INFOS/STATUS_INFO)=0">
											<tr>
												<td width="20"/>
												<td colspan="2">
													<font size="2" face="Verdana, Arial, Helvetica, sans-serif">No hay información de estado disponible</font>
												</td>
											</tr>
										</xsl:when>
										<xsl:otherwise>
											<xsl:for-each select="STATUS_INFOS/STATUS_INFO">
												<tr height="5">
													<td colspan="3"/>
												</tr>
												<tr>
													<td width="20"/>
													<td colspan="2">
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>
																<u>Información de estado <xsl:value-of select="position()"/>
																</u>
															</strong>
														</font>
													</td>
												</tr>
												<tr>
													<td width="20"/>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>Fecha información:
												</strong>
														</font>
													</td>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<xsl:value-of select="TIME"/>
														</font>
													</td>
												</tr>
												<tr>
													<td width="20"/>
													<td valign="top">
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>Estado certificado:
												</strong>
														</font>
													</td>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<xsl:choose>
																<xsl:when test="STATUS/GOOD">Activo</xsl:when>
																<xsl:when test="STATUS/REVOKED">Revocado<br/>
									Fecha: <xsl:value-of select="STATUS/REVOKED/TIME"/>
																	<br/>
									Motivo:
									<xsl:choose>
																		<xsl:when test="STATUS/REVOKED/REASON = 0">No especificado</xsl:when>
																		<xsl:when test="STATUS/REVOKED/REASON = 1">Compromiso de la clave</xsl:when>
																		<xsl:when test="STATUS/REVOKED/REASON = 2">Compromiso de la clave de CA</xsl:when>
																		<xsl:when test="STATUS/REVOKED/REASON = 3">Cambio de datos</xsl:when>
																		<xsl:when test="STATUS/REVOKED/REASON = 4">Certificado reemplazado</xsl:when>
																		<xsl:when test="STATUS/REVOKED/REASON = 5">Cese de operación</xsl:when>
																		<xsl:when test="STATUS/REVOKED/REASON = 6">Temporalmente suspendido</xsl:when>
																		<xsl:otherwise>--</xsl:otherwise>
																	</xsl:choose>
																</xsl:when>
																<xsl:otherwise>Desconocido</xsl:otherwise>
															</xsl:choose>
														</font>
													</td>
												</tr>
												<tr>
													<td width="20"/>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>Tipo información:
												</strong>
														</font>
													</td>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
														<xsl:choose>
														<xsl:when test="OCSP">Respuesta OCSP (Online Certificate Status Protocol)</xsl:when>
														<xsl:otherwise>CRL (Certificate Revocation List)</xsl:otherwise>
														</xsl:choose>								
														</font>
													</td>
												</tr>												
												<tr>
													<td width="20"/>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>
													Entidad generadora:
												</strong>
														</font>
													</td>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<xsl:apply-templates select="X509CERTIFICATE/SUBJECT"/>														</font>
													</td>
												</tr>

											
												<tr>
													<td width="20"/>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>
													Directiva de la CPS:
												</strong>
														</font>
													</td>
													<td>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
														Identificador de la Declaración de Prácticas: <xsl:value-of select="X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/OID"/>
															<br/>
														URL de localización: 							<xsl:choose>
																<xsl:when test="X509CERTIFICATE/EXTENSIONS/EXTENSION
[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/SEQUENCE/SEQUENCE[OID='1.3.6.1.5.5.7.2.1']">
																	<xsl:text disable-output-escaping="yes">&lt;a href="</xsl:text>
																	<xsl:value-of select="X509CERTIFICATE/EXTENSIONS/EXTENSION
[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/SEQUENCE/SEQUENCE[OID='1.3.6.1.5.5.7.2.1']/STRING"/>
																	<xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
																	<xsl:value-of select="X509CERTIFICATE/EXTENSIONS/EXTENSION[@OID='2.5.29.32']/SEQUENCE/SEQUENCE/SEQUENCE/SEQUENCE[OID='1.3.6.1.5.5.7.2.1']/STRING"/>
																	<xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text>
																</xsl:when>
																<xsl:otherwise>
															-No hay URL definida-
															</xsl:otherwise>
															</xsl:choose>
														</font>
													</td>
												</tr>
											</xsl:for-each>
										</xsl:otherwise>
									</xsl:choose>
									<tr>
										<td height="5" colspan="3"/>
									</tr>
								</xsl:for-each>
							</table>
						</td>
					</tr>
				</table>
				<br/>
				<b>
					<font color="#333399" size="+1" face="Verdana, Arial, Helvetica, sans-serif">Dispositivo empleado en la generación de firma</font>
				</b>
				<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#333333">
					<tr>
						<td>
							<table>
								<xsl:for-each select="CMS_SIGNATURE/SIGNERS/SIGNER">
									<tr>
										<td colspan="3">
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>
													<u>Dispositivo del firmante <xsl:value-of select="position()"/>
													</u>
												</strong>
											</font>
										</td>
									</tr>
									<xsl:choose>
										<xsl:when test="DEVICE_INFO">
											<tr>
												<td width="20"/>
												<td colspan="2">
													<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											Dispositivo de creación de firma homologado por <strong>ANF Autoridad de Certificación*</strong>
													</font>
												</td>
											</tr>
											<tr>
												<td width="20"/>
												<td>
													<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
														<strong>Código de identificación de homologación:</strong>
													</font>
												</td>
												<td>
													<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
														<xsl:value-of select="DEVICE_INFO/SOFT_CODE"/>
													</font>
												</td>
											</tr>
											<tr>
												<td width="20"/>
												<td>
													<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
														<strong>Marca:</strong>
													</font>
												</td>
												<td>
													<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
														<xsl:value-of select="DEVICE_INFO/SOFT_VENDOR"/>
													</font>
												</td>
											</tr>
											<tr>
												<td width="20"/>
												<td>
													<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
														<strong>Librería criptográfica:</strong>
													</font>
												</td>
												<td>
													<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
														<xsl:value-of select="DEVICE_INFO/LIB_NAME"/>
													</font>
												</td>
											</tr>
											<tr>
												<td width="20"/>
												<td>
													<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
														<strong>Marca:</strong>
													</font>
												</td>
												<td>
													<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
														<xsl:value-of select="DEVICE_INFO/LIB_VENDOR"/>
													</font>
												</td>
											</tr>
										</xsl:when>
										<xsl:otherwise>
											<tr>
												<td width="20"/>
												<td colspan="2">
													<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
											No consta información acerca del dispositivo de creación de firma											</font>
												</td>
											</tr>
										</xsl:otherwise>
									</xsl:choose>
									<tr>
										<td height="5" colspan="3"/>
									</tr>
								</xsl:for-each>
								<tr>
									<td height="5" colspan="3"/>
								</tr>
								<tr>
									<td colspan="3">
										<font size="1" face="Verdana, Arial, Helvetica, sans-serif">*Este dispositivo cumple las garantías exigidas en el art.24.3 de la Ley de Firma Electrónica 59/2003, como <strong>Dispositivo Seguro de Creación de Firma</strong>.</font>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
				<br/>
				<b>
					<font color="#333399" size="+1" face="Verdana, Arial, Helvetica, sans-serif">Codificación firma/s electrónica/s (Base64)</font>
				</b>
				<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#333333">
					<tr>
						<td>
							<table>
								<xsl:for-each select="CMS_SIGNATURE/SIGNERS/SIGNER">
									<tr>
										<td colspan="2">
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>
													<u>Codificación firma del firmante <xsl:value-of select="position()"/>
													</u>
												</strong>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td>
											<font size="2" face="Courier New, Courier, mono">
												<xsl:apply-templates select="SIGNATURE"/>
											</font>
										</td>
									</tr>
									<tr>
										<td colspan="2">
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<strong>
													<u>Codificación firma de sello de tiempo del firmante <xsl:value-of select="position()"/>
													</u>
												</strong>
											</font>
										</td>
									</tr>
									<tr>
										<td width="20"/>
										<td>
											<font size="2" face="Courier New, Courier, mono">
												<xsl:choose>
													<xsl:when test="count(TIMESTAMPS/TIMESTAMP)=0">
													No hay sello de tiempo disponible													
													</xsl:when>
													<xsl:otherwise>
														<xsl:for-each select="TIMESTAMPS/TIMESTAMP">
															<strong>
																<u>Sello de tiempo <xsl:value-of select="position()"/>
																</u>
															</strong>
															<br/>
															<xsl:apply-templates select="SIGNATURE"/>
														</xsl:for-each>
													</xsl:otherwise>
												</xsl:choose>
											</font>
										</td>
									</tr>
								</xsl:for-each>
								<tr>
									<td height="5" colspan="2"/>
								</tr>
								<tr>
									<td colspan="2">
										<font size="1" face="Verdana, Arial, Helvetica, sans-serif">Firmas extraidas de la estructura de datos PKCS#7. El formato PKCS#7 agrupa la información mostrada en este apartado junto con los certificados de los firmantes y otra información criptográfica.<br/>Si bien el conjunto de la información no se visualiza en esta interpretición gráfica al tratarse parte de ella de código ilegible, la integridad de los datos se encuentran contenidos en el encapsulado original S/MIME (extensión SLC), y a su vez han quedado grabados en el código fuente este fichero electrónico .html (Base64 - Meta OID 1.3.6.1.4.1.18332.28.1). </font>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
				<br/>
				<b>
					<font color="#333399" size="+1" face="Verdana, Arial, Helvetica, sans-serif">Enlaces de soporte</font>
				</b>
				<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#333333">
					<tr>
						<td>
							<table>
								<tr>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
																	Pulse para descargar <a href="https://www.anf.es/exe/eSLCwier.exe">dispositivo  de verificación homologado por ANF AC.</a>
										</font>
									</td>
								</tr>
								<tr>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
																	Pulse para obtener copia del <a href="https://www.anf.es"> certificado del signatario/s.</a>
										</font>
									</td>
								</tr>
								<tr>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
																	Pulse para obtener copia de los <a href="https://www.anf.es/AC/repositorio/"> certificados de CA.</a>
										</font>
									</td>
								</tr>
								<tr>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
																	Pulse para descargar las <a href="https://www.anf.es/AC/RC/">CRLs.</a>
										</font>
									</td>
								</tr>
								<tr>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
																	Pulse para acceder al <a href="http://www.anf.es/timestamp/"> acta pública de sellos de tiempo.</a>
										</font>
									</td>
								</tr>
								<tr>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
																	Pulse para descargar <a href="https://www.anf.es/AC/documentos/">CPS, Políticas de Certificación y de Firma de ANF AC y ANF TSA AC.</a>
										</font>
									</td>
								</tr>
								<tr>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
																	Pulse para consultar el <a href="https://www.anf.es/AC/algoritmos/">estado de vigencia de los algoritmos de firma.</a>
										</font>
									</td>
								</tr>
								<tr>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
																	Pulse para consultar los <a href="https://www.anf.es/AC/dispositivos/">dispositivos de creación de firma homologados.</a>
										</font>
									</td>
								</tr>
								<tr>
									<td>
										<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
																	Pulse para descargar las <a href="https://www.anf.es/AC/normas/">normas técnicas internacionales que siguen los sistemas de certificación de ANF AC.</a>
										</font>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
				<table width="100%">
					<tr>
						<td align="left">
							<font size="1" face="Verdana, Arial, Helvetica, sans-serif">Sistema de Certificación patente en trámite P-2005-00756
							</font>
						</td>
					</tr>
					<tr>
						<td align="left">
							<font size="1" face="Verdana, Arial, Helvetica, sans-serif">Programa firma: Depósito legal B-29.364-2005
							</font>
						</td>
					</tr>
					<tr>
						<td align="left">
							<font size="1" face="Verdana, Arial, Helvetica, sans-serif">CPS: Depósito legal B-29.365-2005
							</font>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="BINARY_ROW">
		<xsl:value-of select="."/>
		<br/>
	</xsl:template>
	<xsl:template match="BINARY_ROW_2">
		<xsl:value-of select="."/>
	</xsl:template>
	<xsl:template name="CALCULATE_IMPORT">
		<xsl:param name="exp">1</xsl:param>
		<xsl:param name="base"/>
		<xsl:if test="$exp>0">
			<xsl:call-template name="CALCULATE_IMPORT">
				<xsl:with-param name="exp" select="$exp - 1"/>
				<xsl:with-param name="base" select="concat($base, '0')"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:if test="$exp=0">
			<xsl:value-of select="$base"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="ALG_FIRMA">
		<xsl:choose>
			<xsl:when test="SIGNATURE[@DIGEST_ALG='1.2.840.113549.2.2'] and SIGNATURE[@ENCRYPT_ALG='1.2.840.113549.1.1.1']">
				MD2WithRSAEncryption (1.2.840.113549.1.1.2)
			</xsl:when>
			<xsl:when test="SIGNATURE[@DIGEST_ALG='1.2.840.113549.2.5'] and SIGNATURE[@ENCRYPT_ALG='1.2.840.113549.1.1.1']">
				MD5WithRSAEncryption (1.2.840.113549.1.1.4)
			</xsl:when>
			<xsl:when test="SIGNATURE[@DIGEST_ALG='1.3.14.3.2.26'] and SIGNATURE[@ENCRYPT_ALG='1.2.840.113549.1.1.1']">
				SHA1WithRSAEncryption (1.2.840.113549.1.1.5)
			</xsl:when>
			<xsl:when test="SIGNATURE[@DIGEST_ALG='2.16.840.1.101.3.4.2.4'] and SIGNATURE[@ENCRYPT_ALG='1.2.840.113549.1.1.1']">
				SHA224WithRSAEncryption (1.2.840.113549.1.1.14)
			</xsl:when>
			<xsl:when test="SIGNATURE[@DIGEST_ALG='2.16.840.1.101.3.4.2.1'] and SIGNATURE[@ENCRYPT_ALG='1.2.840.113549.1.1.1']">
				SHA256WithRSAEncryption (1.2.840.113549.1.1.11)
			</xsl:when>
			<xsl:when test="SIGNATURE[@DIGEST_ALG='2.16.840.1.101.3.4.2.2'] and SIGNATURE[@ENCRYPT_ALG='1.2.840.113549.1.1.1']">
				SHA384WithRSAEncryption (1.2.840.113549.1.1.12)
			</xsl:when>
			<xsl:when test="SIGNATURE[@DIGEST_ALG='2.16.840.1.101.3.4.2.3'] and SIGNATURE[@ENCRYPT_ALG='1.2.840.113549.1.1.1']">
				SHA512WithRSAEncryption (1.2.840.113549.1.1.13)
			</xsl:when>
			<xsl:when test="SIGNATURE[@DIGEST_ALG='1.3.14.3.2.26'] and SIGNATURE[@ENCRYPT_ALG='1.2.840.10040.4.3']">
				SHA1WithDSAEncryption (1.2.840.10040.4.3)
			</xsl:when>
			<xsl:otherwise>
				Digestion:<xsl:value-of select="SIGNATURE/@DIGEST_ALG"/> Cifrado:<xsl:value-of select="SIGNATURE/@ENCRYPT_ALG"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="ALG_FIRMA_CERT">
		<xsl:choose>
			<xsl:when test="X509CERTIFICATE/SIGNATURE[@ALG='1.2.840.113549.1.1.2']">
			MD2WithRSAEncryption (1.2.840.113549.1.1.2)
			</xsl:when>
			<xsl:when test="X509CERTIFICATE/SIGNATURE[@ALG='1.2.840.113549.1.1.4']">
			MD5WithRSAEncryption (1.2.840.113549.1.1.4)
			</xsl:when>
			<xsl:when test="X509CERTIFICATE/SIGNATURE[@ALG='1.2.840.113549.1.1.5']">
			SHA1WithRSAEncryption (1.2.840.113549.1.1.5)
			</xsl:when>
			<xsl:when test="X509CERTIFICATE/SIGNATURE[@ALG='1.2.840.113549.1.1.14']">
			SHA224WithRSAEncryption (1.2.840.113549.1.1.14)
			</xsl:when>
			<xsl:when test="X509CERTIFICATE/SIGNATURE[@ALG='1.2.840.113549.1.1.11']">
			SHA256WithRSAEncryption (1.2.840.113549.1.1.11)
			</xsl:when>
			<xsl:when test="X509CERTIFICATE/SIGNATURE[@ALG='1.2.840.113549.1.1.12']">
			SHA384WithRSAEncryption (1.2.840.113549.1.1.12)
			</xsl:when>
			<xsl:when test="X509CERTIFICATE/SIGNATURE[@ALG='1.2.840.113549.1.1.13']">
			SHA512WithRSAEncryption (1.2.840.113549.1.1.13)
			</xsl:when>
			<xsl:when test="X509CERTIFICATE/SIGNATURE[@ALG='1.2.840.10040.4.3']">
			SHA1WithDSAEncryption (1.2.840.10040.4.3)
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="X509CERTIFICATE/SIGNATURE/@ALG"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="SUBJECT">
		<xsl:choose>
			<xsl:when test="PRINCIPAL/VALUE[@OID='2.5.4.3']">
				<xsl:value-of select="PRINCIPAL/VALUE[@OID='2.5.4.3']"/>
			</xsl:when>
			<xsl:when test="PRINCIPAL/VALUE[@OID='2.5.4.42']">
				<xsl:value-of select="PRINCIPAL/VALUE[@OID='2.5.4.42']"/>
				<xsl:text disable-output-escaping="yes">&amp;</xsl:text>nbsp;<xsl:value-of select="PRINCIPAL/VALUE[@OID='2.5.4.4']"/>
			</xsl:when>
			<xsl:when test="PRINCIPAL/VALUE[@OID='2.5.4.4']">
				<xsl:value-of select="PRINCIPAL/VALUE[@OID='2.5.4.4']"/>
			</xsl:when>
			<xsl:when test="PRINCIPAL/VALUE[@OID='1.2.840.113549.1.9.1']">
				<xsl:value-of select="PRINCIPAL/VALUE[@OID='1.2.840.113549.1.9.1']"/>
			</xsl:when>
			<xsl:otherwise>Firmante</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="FIRMANTE_PRINCIPAL">
		<xsl:choose>
			<xsl:when test="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='1.3.6.1.4.1.18838.1.1']">
				<xsl:value-of select="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.42']"/>
				<xsl:text disable-output-escaping="yes">&amp;</xsl:text>nbsp;<xsl:value-of select="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.4']"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.3']">
						<xsl:value-of select="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.3']"/>
					</xsl:when>
					<xsl:when test="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.42']">
						<xsl:value-of select="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.42']"/>
						<xsl:text disable-output-escaping="yes">&amp;</xsl:text>nbsp;<xsl:value-of select="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.4']"/>
					</xsl:when>
					<xsl:when test="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.4']">
						<xsl:value-of select="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.4']"/>
					</xsl:when>
					<xsl:when test="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='1.2.840.113549.1.9.1']">
						<xsl:value-of select="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='1.2.840.113549.1.9.1']"/>
					</xsl:when>
					<xsl:otherwise>Firmante</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="FIRMANTE_REPRESENTACION">
		<xsl:choose>
			<xsl:when test="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='1.3.6.1.4.1.18838.1.1']">
				<xsl:value-of select="X509CERTIFICATE/SUBJECT/PRINCIPAL/VALUE[@OID='2.5.4.3']"/>
			</xsl:when>
			<xsl:otherwise>
				Propio.
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
