<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output encoding="ISO-8859-1" method="html"/>
	<xsl:strip-space elements="*"/>
	<xsl:param name="base_path" select="''"/>
	<xsl:template match="/">
		<html>
			<head>
				<script LANGUAGE="JavaScript">   
    
     function show(valueShow, valueHide) {    
    	  obj = document.getElementById(valueHide);
   	  	  obj.style.display="none";
    	
		  obj = document.getElementById(valueShow);
  		  obj.style.display="";  
    }
   </script>
			</head>
			<body>
				<a name="#inicio"/>
				<table>
					<tr>
						<td>
							<font color="#333399" size="+3" face="Verdana, Arial, Helvetica, sans-serif">Protocolo de <strong>Verificación</strong>
							</font>
						</td>
						<td>
							<xsl:text disable-output-escaping="yes">&lt;img src="</xsl:text>
							<xsl:value-of select="$base_path"/>
							<xsl:text disable-output-escaping="yes">/logo.jpg"/&gt;</xsl:text>
						</td>
					</tr>
				</table>
				<br/>
				<b>
					<font color="#333399" size="+1" face="Verdana, Arial, Helvetica, sans-serif">Resultados de la verificación</font>
				</b>
				<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#333333">
					<tr>
						<td>

							<table align="center" width="100%">
								<xsl:for-each select="VERIFICATION/SIGNERS/SIGNER">
									<xsl:call-template name="SIGNER_RESULT"/>
								</xsl:for-each>
								<tr>
									<td colspan="2" height="5"/>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="SIGNER_RESULT">
		<tr>
			<td colspan="2" height="8"/>
		</tr>
		<tr>
			<td colspan="2">
				<xsl:text disable-output-escaping="yes">&lt;a name="#result</xsl:text>
				<xsl:value-of select="position()"/>
				<xsl:text disable-output-escaping="yes">"/&gt;</xsl:text>
				<font color="#333399" face="Verdana, Arial, Helvetica, sans-serif">
					<i>Firma de </i>
					<xsl:apply-templates select="X509CERTIFICATE/SUBJECT"/>
				</font>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#888888">
					<tr>
						<td colspan="2">											
							<xsl:choose>
							
								<xsl:when test="STATUS[@INTEGRITY='TRUE']">
									<xsl:choose>
										<xsl:when test="STATUS[@IDENTITY='TRUE']">
											<font size="2">
												<strong>
													<font color="#00CC00" face="Verdana, Arial, Helvetica, sans-serif">POSITIVO.</font>
												</strong>
												<font face="Verdana, Arial, Helvetica, sans-serif"> Todos los parámetros comprobados determinan la integridad del fichero electrónico, así como la identidad del signatario y validez de los certificados electrónicos vinculados a la firma.</font>
											</font>
											
											<xsl:choose>
												<xsl:when test="TIMESTAMPS/TIMESTAMP/STATUS[@INTEGRITY='TRUE' and @IDENTITY='TRUE'] and STATUS[@IDENTITY_DATE]">
													<br/>
													<br/>
													<font size="2">
														<strong>
															<font color="#CC0000" face="Verdana, Arial, Helvetica, sans-serif">¡ADVERTENCIA!.</font>
														</strong>
														<font face="Verdana, Arial, Helvetica, sans-serif"> La información de estado proporcionada por la Autoridad Certificadora que ha emitido el certificado firmante <b>NO</b> está actualizada.  La fecha en que se indica que este certificado es válido es <xsl:value-of select="STATUS/@IDENTITY_DATE"/>, para disponer de las mayores garantías jurídicas es recomendable volver a verificar esta firma unas horas más tarde para obtener una información de estado actualizada con fecha posterior a <xsl:value-of select="TIMESTAMPS/TIMESTAMP/TIME_LOCAL/TIME"/> indicada en el sello de tiempo.</font>
													</font>
												</xsl:when>
												<xsl:when test="TIMESTAMPS/TIMESTAMP/STATUS[@INTEGRITY='TRUE' and @IDENTITY='TRUE']"/>
												<xsl:otherwise>
													<br/>
													<br/>
													<font size="2">
														<strong>
															<font color="#CC0000" face="Verdana, Arial, Helvetica, sans-serif">¡ADVERTENCIA!.</font>
														</strong>
														<font face="Verdana, Arial, Helvetica, sans-serif"> Esta firma electrónica <b>NO</b> incorpora un sello de tiempo válido que indique el momento en que se produjo el acto de firma, por lo tanto, esta firma dejará de ser válida en el momento en que el signatario revoque su certificado o como máximo la fecha <xsl:value-of select="X509CERTIFICATE/TO"/> (fecha límite de validez del certificado firmante). </font>
													</font>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="STATUS[@IDENTITY='FALSE']">										
											<font size="2">
												<strong>
													<font color="#CC0000" face="Verdana, Arial, Helvetica, sans-serif">NEGATIVO.</font>
												</strong>
												<xsl:choose>
													<xsl:when test="TIMESTAMPS/TIMESTAMP/STATUS[@INTEGRITY='TRUE' and @IDENTITY='TRUE']">
														<font face="Verdana, Arial, Helvetica, sans-serif"> El certificado digital del signatario no estaba activo en el momento de generación de la firma.</font>
													</xsl:when>
													<xsl:otherwise>
														<font face="Verdana, Arial, Helvetica, sans-serif"> El certificado digital del signatario no está activo en estos momentos.</font>
													</xsl:otherwise>
												</xsl:choose>
											</font>
										</xsl:when>
										<xsl:when test="STATUS[@IDENTITY='EXPIRED']">										
											<font size="2">
												<strong>
													<font color="#CC0000" face="Verdana, Arial, Helvetica, sans-serif">CADUCADA.</font>
												</strong>
														<font face="Verdana, Arial, Helvetica, sans-serif"> El período de validez del certificado firmante ha sido excedido y la firma ha caducado. Para evitar la caducidad de una firma es necesario que ésta disponga de sellos de tiempo válidos indicando que el momento de la firma se produjo durante el período de validez del certificado.</font>
											</font>
										</xsl:when>
										
										<xsl:otherwise>
											<font size="2">
												<strong>
													<font color="#CC0000" face="Verdana, Arial, Helvetica, sans-serif">INCOMPLETO.</font>
												</strong>
												<font face="Verdana, Arial, Helvetica, sans-serif"> No se ha podido confirmar el estado del certificado del signatario.</font>
											</font>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:when>
								<xsl:otherwise>
									<xsl:choose>
										<xsl:when test="STATUS[@INTEGRITY='FALSE']">
											<font size="2">
												<strong>
													<font color="#CC0000" face="Verdana, Arial, Helvetica, sans-serif">NEGATIVO. </font>
												</strong>
												<font face="Verdana, Arial, Helvetica, sans-serif">La firma electrónica no corresponde con el fichero firmado, es posible que el fichero electrónico haya sufrido modificaciones respecto al originalmente firmado.</font>
											</font>
										</xsl:when>
										<xsl:otherwise>
											<font size="2">
												<strong>
													<font color="#CC0000" face="Verdana, Arial, Helvetica, sans-serif">INCORRECTO. </font>
												</strong>
												<font face="Verdana, Arial, Helvetica, sans-serif">Se ha producido un error al comprobar la integridad de la firma electrónica.</font>
											</font>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:otherwise>
							</xsl:choose>
							
							<xsl:text disable-output-escaping="yes">&lt;span id="button-</xsl:text>
							<xsl:value-of select="position()"/>
							<xsl:text disable-output-escaping="yes">"  &gt;</xsl:text>
							<table border="0" width="100%">
									<tr>
										<td align="right">
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
												<xsl:text disable-output-escaping="yes">&lt;a href="javascript:show('informe-</xsl:text>
												<xsl:value-of select="position()"/>', 'button-<xsl:value-of select="position()"/>')	
												<xsl:text disable-output-escaping="yes">"&gt;Ver informe&lt;/a&gt;</xsl:text>
											</font>												
										</td>
									</tr>
							</table>
							<xsl:text disable-output-escaping="yes">&lt;/span&gt;</xsl:text>							
							<xsl:text disable-output-escaping="yes">&lt;span id="informe-</xsl:text>
							<xsl:value-of select="position()"/>
							<xsl:text disable-output-escaping="yes">" style="display:none" &gt;</xsl:text>
							<table>							
								<xsl:call-template name="SIGNER_REPORT"/>
							</table>	
							<xsl:text disable-output-escaping="yes">&lt;/span&gt;</xsl:text>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</xsl:template>
	<xsl:template name="SIGNER_REPORT">
		<tr>
			<td colspan="2" height="8"/>
		</tr>
		<tr>
			<td>
				<font color="#333399" face="Verdana, Arial, Helvetica, sans-serif">
					<i>Informe de </i><b>Verificación</b>
					
				</font>
			</td>
			<td align="right">
				<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
					<font size="2" face="Verdana, Arial, Helvetica, sans-serif">
						<xsl:text disable-output-escaping="yes">&lt;a href="javascript:show('button-</xsl:text>
						<xsl:value-of select="position()"/>', 'informe-<xsl:value-of select="position()"/>')	
						<xsl:text disable-output-escaping="yes">"&gt;Ocultar informe&lt;/a&gt;</xsl:text>					
					</font>
				</font>
			</td>
		</tr>
		<tr>
		
			<td colspan="2">
				<table border="1" width="100%" cellpadding="6" cellspacing="0" bordercolor="#BBBBBB">
					<tr>
						<td>
							<table>
								<tr>
									<td colspan="2">
										<strong>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">1. Integridad de datos </font>
										</strong>
									</td>
								</tr>
								<xsl:choose>
									<xsl:when test="STATUS[@INTEGRITY='TRUE']">
										<tr>
											<td colspan="2">
												<font size="2" color="#00CC00" face="Verdana, Arial, Helvetica, sans-serif">
													<strong>CONFIRMADA</strong>
												</font>
											</td>
										</tr>
										<tr>
											<td colspan="2">
												<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Los datos electrónicos firmados no han sufrido modificación alguna respecto a los originalmente firmados.</font>
											</td>
										</tr>
									</xsl:when>
									<xsl:otherwise>
										<xsl:choose>
											<xsl:when test="STATUS[@INTEGRITY='FALSE']">
												<tr>
													<td colspan="2">
														<font size="2" color="#CC0000" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>NO CONFIRMADA</strong>
														</font>
													</td>
												</tr>
												<tr>
													<td colspan="2">
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Los datos electónicos firmados 
											 han sufrido alguna modificación respecto a los originales utilizados al generar la firma electrónica.														</font>
													</td>
												</tr>
											</xsl:when>
											<xsl:otherwise>
												<tr>
													<td colspan="2">
														<font size="2" color="#CC0000" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>NO CONFIRMADA</strong>
														</font>
													</td>
												</tr>
												<tr>
													<td colspan="2">
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">Se ha producido un error al verificar la integridad de la firma electrónica.
														</font>
													</td>
												</tr>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:otherwise>
								</xsl:choose>
								<tr>
									<td colspan="2" height="20"/>
								</tr>
								<tr>
									<td colspan="2">
										<strong>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">2. Identidad del signatario </font>
										</strong>
									</td>
								</tr>
								<xsl:choose>
									<xsl:when test="STATUS[@IDENTITY='TRUE']">
										<tr>
											<td colspan="2">
												<font size="2" color="#00CC00" face="Verdana, Arial, Helvetica, sans-serif">
													<strong>CONFIRMADA</strong>
												</font>
											</td>
										</tr>
										<tr>
											<td colspan="2">
												<font size="2" face="Verdana, Arial, Helvetica, sans-serif">El fichero electrónico ha sido firmado por <i>
														<strong>
															<xsl:apply-templates select="X509CERTIFICATE/SUBJECT"/>
														</strong>
														<xsl:if test="REQUESTER">
											en nombre de <b>
																<xsl:value-of select="REQUESTER/NAME"/>
															</b> con NIF <b>
																<xsl:value-of select="REQUESTER/ID"/>
															</b>
														</xsl:if>
													</i>. <xsl:if test="not(STATUS[@IDENTITY_DATE])"> El certificado de este usuario estaba activo y con plena capacidad de uso en el momento de la firma.</xsl:if></font>
											</td>
										</tr>
									</xsl:when>
									<xsl:when test="STATUS[@IDENTITY='FALSE']">
										<tr>
											<td colspan="2">
												<font size="2" color="#CC0000" face="Verdana, Arial, Helvetica, sans-serif">
													<strong>NO CONFIRMADA</strong>
												</font>
											</td>
										</tr>
										<tr>
											<td colspan="2">
												<xsl:choose>
													<xsl:when test="TIMESTAMPS/TIMESTAMP/STATUS[@INTEGRITY='TRUE' and @IDENTITY='TRUE']">
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">El fichero electrónico ha sido firmado por <i>
																<strong>
																	<xsl:apply-templates select="X509CERTIFICATE/SUBJECT"/>
																</strong>
															</i>, pero el certificado asociado a este usuario no estaba activo en el momento de generación de la firma.</font>
													</xsl:when>																										
													<xsl:otherwise>
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">El fichero electrónico ha sido firmado por <i>
																<strong>
																	<xsl:apply-templates select="X509CERTIFICATE/SUBJECT"/>
																</strong>
															</i>, pero el certificado asociado a este usuario no está activo en estos momentos.</font>
													</xsl:otherwise>
												</xsl:choose>
											</td>
										</tr>
									</xsl:when>
									
									
									<xsl:when test="STATUS[@IDENTITY='EXPIRED']">
										<tr>
											<td colspan="2">
												<font size="2" color="#CC0000" face="Verdana, Arial, Helvetica, sans-serif">
													<strong>CADUCADA</strong>
												</font>
											</td>
										</tr>
										<tr>
											<td colspan="2">
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">El fichero electrónico ha sido firmado por <i>
																<strong>
																	<xsl:apply-templates select="X509CERTIFICATE/SUBJECT"/>
																</strong>
															</i>, pero el período de validez del certificado asociado a este usuario ha sido excedido.<br/> (Validez del certificado: Desde <xsl:value-of select="X509CERTIFICATE/FROM"/> hasta <xsl:value-of select="X509CERTIFICATE/TO"/>).</font>
											</td>
										</tr>
									</xsl:when>
									
									<xsl:otherwise>
										<tr>
											<td colspan="2">
												<font size="2" color="#CC0000" face="Verdana, Arial, Helvetica, sans-serif">
													<strong>NO CONFIRMADA</strong>
												</font>
											</td>
										</tr>
										<tr>
											<td colspan="2">
												<font size="2" face="Verdana, Arial, Helvetica, sans-serif">El fichero electrónico ha sido firmado por <i>
														<strong>
															<xsl:apply-templates select="X509CERTIFICATE/SUBJECT"/>
														</strong>
													</i>, pero no se ha podido comprobar el estado del certificado asociado a este usuario.</font>
											</td>
										</tr>
									</xsl:otherwise>
								</xsl:choose>
								<tr>
									<td colspan="2" height="20"/>
								</tr>
								<tr>
									<td colspan="2">
										<strong>
											<font size="2" face="Verdana, Arial, Helvetica, sans-serif">3. Sello de tiempo</font>
										</strong>
									</td>
								</tr>
								<xsl:choose>
									<xsl:when test="count(TIMESTAMPS/TIMESTAMP)=0">
										<tr>
											<td colspan="2">
												<font size="2" color="#CC0000" face="Verdana, Arial, Helvetica, sans-serif">
													<strong>NO DISPONIBLE</strong>
												</font>
											</td>
										</tr>
										<tr>
											<td colspan="2">
												<font size="2" face="Verdana, Arial, Helvetica, sans-serif">No se ha localizado un sello de  tiempo válido indicando el momento en que se produjo el acto de firma.</font>
											</td>
										</tr>
									</xsl:when>
									<xsl:otherwise>
										<xsl:choose>
											<xsl:when test="TIMESTAMPS/TIMESTAMP/STATUS[@INTEGRITY='TRUE' and @IDENTITY='TRUE']">
												<tr>
													<td colspan="2">
														<font size="2" color="#00CC00" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>CONFIRMADO</strong>
														</font>
													</td>
												</tr>
												<tr>
													<td colspan="2">
														<font size="2" face="Verdana, Arial, Helvetica, sans-serif">La firma electrónica contiene un sello de tiempo válido indicando que el acto de firma se produjo antes de <xsl:value-of select="TIMESTAMPS/TIMESTAMP/STATUS[@INTEGRITY='TRUE' and @IDENTITY='TRUE']/../TIME_LOCAL/TIME"/>.</font>
													</td>
												</tr>
											</xsl:when>
											<xsl:otherwise>
												<tr>
													<td colspan="2">
														<font size="2" color="#CC0000" face="Verdana, Arial, Helvetica, sans-serif">
															<strong>INCORRECTO</strong>
														</font>
													</td>
												</tr>
												<tr>
													<td colspan="2">
														<xsl:choose>
															<xsl:when test="TIMESTAMPS/TIMESTAMP/STATUS[@INTEGRITY='FALSE']">
																<font size="2" face="Verdana, Arial, Helvetica, sans-serif">La firma electrónica contiene un sello de tiempo con fecha <xsl:value-of select="TIMESTAMPS/TIMESTAMP/STATUS[@INTEGRITY='FALSE']/../TIME_LOCAL/TIME"/>, pero el sello de tiempo o su firma electrónica han sido alterados.</font>
															</xsl:when>
															<xsl:otherwise>
																<font size="2" face="Verdana, Arial, Helvetica, sans-serif">La firma electrónica contiene un sello de tiempo con fecha <xsl:value-of select="TIMESTAMPS/TIMESTAMP/TIME_LOCAL/TIME"/>, pero no se ha podido confirmar la validez de la autoridad emisora del sello de tiempo.</font>
															</xsl:otherwise>
														</xsl:choose>
													</td>
												</tr>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:otherwise>
								</xsl:choose>
							</table>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="SUBJECT">
		<xsl:choose>
			<xsl:when test="PRINCIPAL/VALUE[@OID='2.5.4.3']">
				<b>
					<xsl:value-of select="PRINCIPAL/VALUE[@OID='2.5.4.3']"/>
				</b>
			</xsl:when>
			<xsl:when test="PRINCIPAL/VALUE[@OID='2.5.4.42']">
				<b>
					<xsl:value-of select="PRINCIPAL/VALUE[@OID='2.5.4.42']"/>
					<xsl:text disable-output-escaping="yes">&amp;</xsl:text>nbsp;<xsl:value-of select="PRINCIPAL/VALUE[@OID='2.5.4.4']"/>
				</b>
			</xsl:when>
			<xsl:when test="PRINCIPAL/VALUE[@OID='2.5.4.4']">
				<b>
					<xsl:value-of select="PRINCIPAL/VALUE[@OID='2.5.4.4']"/>
				</b>
			</xsl:when>
			<xsl:when test="PRINCIPAL/VALUE[@OID='1.2.840.113549.1.9.1']">
				<b>
					<xsl:value-of select="PRINCIPAL/VALUE[@OID='1.2.840.113549.1.9.1']"/>
				</b>
			</xsl:when>
			<xsl:otherwise>el usuario.</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
